1998-12-26 05:39  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/dump-class.c (JDK_12_BRANCH): don't cast between
	a jclass and a ClazzFile*.  use jclass_to_clazzfile.

1998-12-26 05:38  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.bench/.cvsignore, lib/zlib/.cvsignore
	(JDK_12_BRANCH): add a couple of .cvsignore files.

1998-12-26 05:38  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.bench/.cvsignore: file .cvsignore was initially
	added on branch JDK_12_BRANCH.

1998-12-20 04:52  Brian Jones <brian@hungry.com>

	* scripts/japhar-config.in: includes guile-config and previous
	glibc-config functionality

1998-12-11 21:14  Christoph Toshok <toshok@hungry.com>

	* www/src/related.src (JDK_12_BRANCH): change TYA url.

1998-12-09 08:34  Christoph Toshok <toshok@hungry.com>

	* www/src/index.src (JDK_12_BRANCH): update date

1998-12-09 08:31  Christoph Toshok <toshok@hungry.com>

	* www/src/: getting.src, index.src (JDK_12_BRANCH): finally get off
	my ass and mention the australian mirror, set up by Jason Andrade.

1998-12-06 18:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: Change to avoid strange compile error.

1998-12-06 18:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/init.c, libruntime/objects.c,
	libnative/java.lang/thread.c: Use Japhar Native State instead of
	private class values to store internal info.  Patch from John
	Keiser <jkeiser@iname.com>.

1998-12-04 12:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/init.h, lib/libruntime/init.c: leftover

1998-12-04 12:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c, include/dynamic_loading.h,
	include/op_stack.h, lib/libruntime/Makefile.am,
	lib/libruntime/interploop.c, lib/libjni/src/jniinvoc.c: Moved
	DLL_loadSystemLibraries() from arch/ to new file init.c in runtime.
	 New name is initialize_system_libraries().  Did some cleanup
	(moved initialize_system_threads() too) as a result of this move.

1998-11-30 17:47  Christoph Toshok <toshok@hungry.com>

	* www/src/: index.src, japhardocs.src: add blurb about petter's
	talk.

1998-11-23 06:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/zipfile.c: file zipfile.c was
	initially added on branch JDK_12_BRANCH.

1998-11-23 06:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/: .cvsignore, Makefile.am, zipfile.c
	(JDK_12_BRANCH): Add zipfile native methods.

1998-11-23 06:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/inflater.c (JDK_12_BRANCH): #if 0 ->
	#ifdef JDK1_1

1998-11-23 00:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/japharh.c: Make internal methods static.

1998-11-23 00:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/snprintf.c: Crash on assert if substitute snprintf() is
	given too small buffer.

1998-11-23 00:07  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c, lib/libruntime/resolve.c,
	include/resolve.h (JDK_12_BRANCH): move the verbose loading from
	clparse.c to resolve.c, and make the spew resemble the jdk1.2 spew

1998-11-18 06:49  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jniarray.c, jniclass.c, jnifield.c, jniinvoc.c,
	jnimeth.c, jnimon.c, jninativ.c, jniobj.c, jnirefl.c, jnisfld.c,
	jnismeth.c, jnistr.c, jnithrow.c (JDK_12_BRANCH): remove all the
	silly little asserts from the beginnings of JNI functions.  they
	are too easily tripped in conditions where we want them to be ok.

1998-11-18 06:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/zipentry.c: file zipentry.c was
	initially added on branch JDK_12_BRANCH.

1998-11-18 06:48  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/: Makefile.am, crc32.c, inflater.c,
	zipentry.c (JDK_12_BRANCH): add 1.2 native methods.  wow.  this
	package's native methods are COMPLETELY horked wrt supporting 1.1
	and 1.2 in the same VM.  a pox upon the Sun employee that did it.

1998-11-18 06:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/package.c: file package.c was initially
	added on branch JDK_12_BRANCH.

1998-11-18 06:47  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: Makefile.am, package.c (JDK_12_BRANCH):
	Add java.lang.Package native methods.

1998-11-17 12:07  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/PackageTest.java: file PackageTest.java was
	initially added on branch JDK_12_BRANCH.

1998-11-17 12:07  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/PackageTest.java (JDK_12_BRANCH): Add test
	for java.lang.Package

1998-11-17 11:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/addr.c (JDK_12_BRANCH): stub out
	java.net.InetAddres.init

1998-11-17 11:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c (JDK_12_BRANCH): implement
	findBootstrapClass and sorta do findLoadedClass - it's wrong, but
	it'll work for now.

1998-11-17 11:16  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnirefl.c (JDK_12_BRANCH): make sig_to_jclass
	non-static (since libnative/java.lang/class.c uses it.	also, don't
	create the method object until we have the class :)

1998-11-16 06:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.util.zip/inflater.c (JDK_12_BRANCH): stub out
	Java_java_util_zip_Inflater_initIDs

1998-11-16 06:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c (JDK_12_BRANCH): Implement
	2 out of 3 of the java.lang.ClassLoader$NativeLibrary native
	methods.

1998-11-16 06:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c (JDK_12_BRANCH): remove all
	those NewGlobalRef calls in initProperties, and implement
	mapLibraryName

1998-11-16 06:05  Christoph Toshok <toshok@hungry.com>

	* include/sig.h, lib/libruntime/sig.c, lib/libruntime/nativeglue.c
	(JDK_12_BRANCH): implement SIG_formatStringToNativeName, for use in
	converting classnames (particular inner classes, which have $s in
	them) to native form.  also convert SIG_formatSigToNativeName to
	use it, and change the create_{short,long}_native_method_name
	functions to use it as well.

1998-11-16 06:01  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, include/dynamic_loading.h
	(JDK_12_BRANCH): add a DLL_mapLibName which maps a name (like
	'zip') to a libname (like 'libjaphar_zip.so')

1998-11-16 06:00  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c (JDK_12_BRANCH): set sun.boot.library.path
	as well as java.library.path.

1998-11-16 04:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c (JDK_12_BRANCH): implement
	java.lang.System.getCallerClass

1998-11-16 03:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c (JDK_12_BRANCH): zero the end of the buffer
	when converting sigs to native form (helps with the long form name
	mangling).

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/rmid.in: file rmid.in was initially added on branch
	JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/tnameserv.in: file tnameserv.in was initially added on
	branch JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/policytool.in: file policytool.in was initially added on
	branch JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/keytool.in: file keytool.in was initially added on branch
	JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/jarsigner.in: file jarsigner.in was initially added on
	branch JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/extcheck.in: file extcheck.in was initially added on
	branch JDK_12_BRANCH.

1998-11-16 03:22  Christoph Toshok <toshok@hungry.com>

	* scripts/: .cvsignore, Makefile.am, extcheck.in, jarsigner.in,
	keytool.in, policytool.in, rmid.in, tnameserv.in (JDK_12_BRANCH):
	add JDK 1.2 utilites.

1998-11-15 23:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/nuug-lecture/: japhar-modules.gif, japhar-modules.kil,
	nuug-lecture.kpr.gz, nuug-lecture.ps.gz: Added lecture notes.

1998-11-13 10:26  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/accesscontroller.c (JDK_12_BRANCH):
	implement
	Java_java_security_AccessController_doPrivileged__Ljava_security_Pr
	ivilegedExceptionAction_2 (wow that's a mouthful :)

1998-11-13 10:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c (JDK_12_BRANCH): actually
	register getClassLoader0 to the right function.  it was resolving
	to forName0.  oops.

1998-11-13 10:25  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c (JDK_12_BRANCH): implement
	checkAccess and offer a naive, incomplete, rather broken
	implementation of canonicalize (which just returns the same path,
	unchanged.)

1998-11-13 07:18  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c (JDK_12_BRANCH): It executes Java
	Bytecodes!  It exits!

1998-11-13 06:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/secStubs.c: file secStubs.c was
	initially added on branch JDK_12_BRANCH.

1998-11-13 06:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/accesscontroller.c: file
	accesscontroller.c was initially added on branch JDK_12_BRANCH.

1998-11-13 06:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/Makefile.am: file Makefile.am was
	initially added on branch JDK_12_BRANCH.

1998-11-13 06:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.security/.cvsignore: file .cvsignore was
	initially added on branch JDK_12_BRANCH.

1998-11-13 06:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/unixfilesystem.c: file unixfilesystem.c was
	initially added on branch JDK_12_BRANCH.

1998-11-13 06:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/filesystem.c: file filesystem.c was
	initially added on branch JDK_12_BRANCH.

1998-11-13 06:10  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/dynamic_loading.c, arch/threads.c,
	include/objects.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnimon.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jniref.c, lib/libjni/src/jnirefl.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libnative/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.io/common.c, lib/libnative/java.io/common.h,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/filesystem.c,
	lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.io/unixfilesystem.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/object.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.security/.cvsignore,
	lib/libnative/java.security/Makefile.am,
	lib/libnative/java.security/accesscontroller.c,
	lib/libnative/java.security/secStubs.c,
	lib/libnative/sysresource/sysresources.c, lib/libruntime/abort.c,
	lib/libruntime/exceptions.c, lib/libruntime/interploop.c,
	lib/libruntime/objects.c, lib/libruntime/printf.c,
	lib/libruntime/sig.c, progs/japhar/japhar.c (JDK_12_BRANCH):
	massive changes to get 1.2 sorta limping along.  i'm using
	jdk1.2fcs classes for this.  i can get a javap usage message at
	present, but little else.  be very scared of this code at present
	:)

1998-11-10 16:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* scripts/japhar-config.in: Make sure japhar-config --prefix gives
	correct answer.  Used to return /usr/local every time.

1998-11-09 09:35  Christoph Toshok <toshok@hungry.com>

	* include/Makefile.am, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jnirefl.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c, lib/libruntime/interploop.c,
	lib/libruntime/objects.c (JDK_12_BRANCH): random 1.2 stuff.. turns
	out that java.lang.Class has some fields in JDK 1.2 so our little
	'store the ClazzFile* in a special field' needed to be reworked. 
	now it should work with both 1.1 and 1.2 classes.zip files.  also
	get some of the -verbose 1.2 behavior working in the JNI stuff. 
	work on the reflection stuff a bit as well, moving code into the
	JNI (where it should be) and keeping static fieldID's around to
	make the lookups less painful.

1998-11-09 04:19  Christoph Toshok <toshok@hungry.com>

	* include/nativeglue.h, lib/libjni/src/jninativ.c,
	lib/libjni/src/jnirefl.c, lib/libruntime/nativeglue.c
	(JDK_12_BRANCH): rework the jni native and reflection stuff a
	bit... move some code around, and nuke the nativeglue.h header,
	since all the functions are gone (or moved to be static to the jni
	lib.)

1998-11-09 03:56  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libruntime/objects.c: add support for
	native per-object state.

1998-11-09 00:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Bugfix.  Make sure --enable-classpath do as it
	should.

1998-11-09 00:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Avoid crashing the toplevel
	exception handler by clearing the backtrace to soon.

1998-11-09 00:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Use Throwable.getMessage() instead
	of private variable detailMessage to get the msg to print in
	toplevel exception handler.

1998-11-08 16:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am: Workaround to get the substitute methods
	included in the library.

1998-11-07 17:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjvmdi/: include/jvmdi.h, src/jvmdimsc.c: Fixed typo and
	made included prototype for JVMDI_GetFrameMethod() is in jvmdi.h.

1998-11-07 17:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Leftover.

1998-11-07 17:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/: monitor_test.c, thread_test.c: Don't export internal
	functions.  Remove warnings.

1998-11-07 17:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/ClazzFile.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: Use access method get_constant()
	instead of going directly into constants[].

1998-11-07 16:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/getopt.c: Remove warning on ambigous 'else'.

1998-11-07 16:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: classpath.c, interploop.c, log.c: Don't export
	internal functions.

1998-11-07 16:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnistr.c: If private field java.lang.String.offset
	is missing (as in Classpath), use default offset 0.

1998-11-07 16:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jniint.h: Added missing prototypes for
	GetStringRegion(), GetStringUTFRegion(), GetStringCritical() and
	ReleaseStringCritical().

1998-11-07 16:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: common.c, component.c, frame.c:
	More error checking and asserts.

1998-11-07 16:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/textfield.c: Added missing include
	<Xm/Text.h>.

1998-11-07 16:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: More warnings when using GCC.

1998-11-07 16:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/Makefile.am, arch/alphasort.c, arch/scandir.c:
	Use AC_REPLACE_FUNCS instead of AC_CHECK_FUNCS when we have
	substitute implementations.  Moved substitute alphasort() from
	scandir.c to its own file.

1998-11-07 05:40  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c, lib/libjni/src/jniinvoc.c,
	lib/libruntime/interploop.c (JDK_12_BRANCH):
	initialize_system_threads is gone.  now we have
	lowlevel_thread_init, which does the right thing in face of both
	the initial thread as well as subsequent ones -- we really don't
	need to call initializeSystemClass in *every* thread that we
	create. :)  also, we use the JNI 1.2 JavaVMAttachArgs to specify
	the threadgroup for the new thread instead of creating a new thread
	group for each thread..  wow.  initial implementations #0.

1998-11-07 03:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Cleanup in debug msg and removed some
	warnings.

1998-11-07 03:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Bugfix in throw_Exception() and made
	backtrace_depth static.

1998-11-07 03:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Handle Synthetic class flag and remove
	some warnings.

1998-11-07 02:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am, acconfig.h, configure.in: Started on Classpath
	integration.  I use FOR_CLASSPATH as define and automake
	conditional instead of WITH_CLASSPATH to be consistent with the
	current FOR_MOZILLA.

1998-11-07 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c (JDK_12_BRANCH): remove #if 0'ed code.

1998-11-06 08:44  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c (JDK_12_BRANCH): remove that gross
	THREAD_sleep(2000) and move to a more responsive thread start
	scenario.

1998-11-06 06:57  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h, src/jniinvoc.c,
	src/jnivtbl.c (JDK_12_BRANCH): add the JDK 1.2 JavaVMAttachArgs,
	and make the JNI version VM dependent.

1998-11-06 05:26  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c (JDK_12_BRANCH): use the JNI_VERSION_1_1
	constant new in JDK 1.2

1998-11-06 05:16  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h,
	include/jnitypes.h.in, src/jniarray.c, src/jniinvoc.c,
	src/jniref.c, src/jnirefl.c, src/jnivtbl.c (JDK_12_BRANCH): Add JDK
	1.2 JNI entries.  we don't know the actual location in the vtables,
	so we'll just put them at the end for now.

1998-11-05 05:54  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interploop.c: if we're
	profiling, split out the interpreter functions into actual
	functions instead of sticking them in one switch statement.

1998-11-04 22:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Added required AC_PROG_MAKE_SET.

1998-11-04 22:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Added comment about partly AWT success.

1998-11-04 11:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h: Stop warnings about 'inline' being non ANSI-C.  When
	using GNU C, redefine it to __inline__ instead.

1998-11-04 09:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: STATIC_DATA isn't here anymore.

1998-11-04 03:33  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: unifdef the object_finalize function,
	and fixup some of the monitor interactions in
	initialize_class_recurse (thats to Jean-Philippe.Lesot@inrisa.fr
	for the patch.)

1998-11-04 03:31  Christoph Toshok <toshok@hungry.com>

	* lib/: libruntime/interploop.c, libnative/java.lang/system.c:
	implement the setIn0, setOut0, and setErr0 native methods on
	java.lang.System, and remove the warning about using a weird
	classes.zip file.  this seems to work - javac runs as well with a
	'weird' zip file as before.

1998-11-02 15:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/japhar.c: Changed output on --version.  Add URL and
	mail address, an reformatted the GPL statement.

1998-10-30 15:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* ltconfig: Make sure the compile test for the PIC flag isn't
	compiling a empty file.

1998-10-30 11:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* INSTALL: Added more info on which JDK versions that works.

1998-10-29 22:32  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: sun.awt.motif/Makefile.am,
	sun.awt.motif/button.c, sun.awt.motif/canvas.c,
	sun.awt.motif/checkbox.c, sun.awt.motif/checkboxmenuitem.c,
	sun.awt.motif/choice.c, sun.awt.motif/common.c,
	sun.awt.motif/common.h, sun.awt.motif/component.c,
	sun.awt.motif/dialog.c, sun.awt.motif/drawingsurface.c,
	sun.awt.motif/filedialog.c, sun.awt.motif/fontmetrics.c,
	sun.awt.motif/frame.c, sun.awt.motif/graphics.c,
	sun.awt.motif/image.c, sun.awt.motif/inputthread.c,
	sun.awt.motif/label.c, sun.awt.motif/list.c, sun.awt.motif/menu.c,
	sun.awt.motif/menubar.c, sun.awt.motif/menuitem.c,
	sun.awt.motif/offscreen.c, sun.awt.motif/popupmenu.c,
	sun.awt.motif/scrollbar.c, sun.awt.motif/scrollpane.c,
	sun.awt.motif/selection.c, sun.awt.motif/textarea.c,
	sun.awt.motif/textfield.c, sun.awt.motif/toolkit.c,
	sun.awt.motif/window.c, sun.debug.agent/agent.c: add offscreen
	native methods, and make sure everything includes config.h

1998-10-29 22:03  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnicpp.cpp, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnirefl.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjni/src/jnivm.c,
	lib/libjni/src/jnivtbl.c, lib/liboji/japharJVMConsole.cpp,
	lib/liboji/japharJVMPlugin.cpp,
	lib/liboji/japharJVMPluginInstance.cpp,
	lib/liboji/japharPlugin.cpp, lib/libjvmdi/src/jvmdi.c,
	lib/libjvmdi/src/jvmdibkp.c, lib/libjvmdi/src/jvmdicls.c,
	lib/libjvmdi/src/jvmdiev.c, lib/libjvmdi/src/jvmdifld.c,
	lib/libjvmdi/src/jvmdiloc.c, lib/libjvmdi/src/jvmdimm.c,
	lib/libjvmdi/src/jvmdimsc.c, lib/libjvmdi/src/jvmdimth.c,
	lib/libjvmdi/src/jvmdisfm.c, lib/libjvmdi/src/jvmdithg.c,
	lib/libjvmdi/src/jvmdithr.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/objistrm.c, lib/libnative/java.io/objostrm.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.io/random.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/float.c, lib/libnative/java.lang/math.c,
	lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/string.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.net/socket.c, lib/libnative/java.net/sockin.c,
	lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c, progs/dump-class/clazz.c,
	progs/dump-class/dump-class.c, progs/dump-class/field.c,
	progs/dump-class/html.c, progs/dump-class/method.c,
	progs/dump-class/misc.c, progs/dump-class/output.c,
	progs/japhar/Makefile.am, progs/japhar/japhar.c,
	progs/japharh/header.c, progs/japharh/japharh.c,
	progs/japharh/stubs.c: make sure everything includes config.h

1998-10-29 21:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/classpath.c: include config.h

1998-10-29 21:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: turn off the nspr gc until I find out why
	it's crashing.

1998-10-29 21:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/arrays.c: speed up array accesses, since we know
	about the structure of arrays.

1998-10-27 02:02  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: installed files can't include config.h

1998-10-25 20:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c, arch/monitor_test.c, arch/thread_test.c,
	arch/monitors.c, arch/threads.c, include/native-threads.h,
	include/classpath.h, include/log.h, lib/libjni/include/jni.h,
	lib/libjni/include/jniint.h, lib/libjni/src/jnistr.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/unixproc.c, lib/libnative/java.net/addr.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/list.c,
	lib/libnative/sysresource/sysresources.c, lib/libruntime/abort.c,
	lib/libruntime/classpath.c, lib/libruntime/log.c,
	lib/libruntime/opstack_test.c, progs/japhar/japhar.c: Removed some
	warnings.

1998-10-25 20:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Make sure -lm is last library during linking.  Make
	sure -lz is returned from japhar-config when needed.  Add
	'-Wstrict-prototypes -Wcomments -pedantic' and '-ansi' when
	--enable-ansi is used, to CFLAGS when using GCC.  The code
	currently fails to compile when -ansi is used.

1998-10-25 00:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/fontmetrics.c: init() is supposed to
	take another argument ('font').

1998-10-25 00:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/filedialog.c: implement some of the
	filedialog stuff.  it's weirdly broken at the moment.

1998-10-25 00:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: Call XmChangeColor as
	well as XtVaSetValues on the background pixel.

1998-10-25 00:03  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: Add the mozilla version of
	the event loop (which just loops on a PLEventQueue.

1998-10-25 00:03  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.h: Add #ifdef'ed FOR_MOZILLA
	references to plevent.h and _awt_eventQueue.

1998-10-25 00:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/canvas.c: Add check for NULL
	parent_peer to canvas -- this gets tripped when we're running in
	mozilla.

1998-10-25 00:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/secmgr.c: remove these printfs.  they're
	annoying, and get tripped a lot when trying to run the applet
	viewer.

1998-10-25 00:00  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h, lib/libruntime/interploop.c,
	lib/libruntime/interpfunc.c: remove the checks for top and bottom
	stack space at the beginning of all the case statements, and remove
	the need for most of them (for example, if we pop off a long, we
	know there's enough room to push an int.)  Also, optimize array
	lookups a bit.

1998-10-24 23:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/gc.c: remove the #if 0's around using NSPR's gc.

1998-10-24 23:55  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: remove duplicate check for the
	initializeSystemClass method.

1998-10-19 10:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/op_stack.h, lib/libjni/include/jni.h,
	lib/libruntime/opstack_test.c: Solaris fixes from Moses DeJong
	<dejong@cs.umn.edu>.

1998-10-18 22:07  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/: StaticInitTest.java, StaticInitTest1.java,
	StaticInitTest2.java, StaticInitTest3.java, StaticInitTest4.java:
	Add 3 more static initializer tests, derived from JLS.

1998-10-18 01:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Add fix suggested by John Keiser -
	if a native method's return type was void and there was a previous
	native method call with a non-void return type, the void native
	method could push something onto the stack.  So, make sure we set
	the return value's type to SIG_JVOID.

1998-10-17 21:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: GC_* => JGC_*

1998-10-17 21:15  Christoph Toshok <toshok@hungry.com>

	* configure.in: allow --enable-libffi so we can turn it off.

1998-10-17 01:57  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: hack hack hack.  this is
	all gross.  don't look in here if you want to know how to write
	clean, pretty code.

1998-10-17 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: this sucks.  link in the native motif
	stuff so we can call functions in it.

1998-10-17 01:55  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharClassLoader.java: sanity check that
	we've read enough.

1998-10-16 22:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: make sure the codebase
	ends in a '/' if it's given with the CODEBASE attribute.  also,
	make use of the JapharClassLoader instead of sun's
	sun/applet/AppletClassLoader.

1998-10-16 22:24  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharClassLoader.java: fix up the class
	loader.

1998-10-16 22:22  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: Add japharJVMPluginInstance.cpp to the
	build.

1998-10-16 20:20  Christoph Toshok <toshok@hungry.com>

	* include/arrays.h, lib/libruntime/arrays.c,
	lib/libruntime/interpfunc.c: factor out all the code to fetch the
	length and body of an array object into two functions.

1998-10-16 20:18  Christoph Toshok <toshok@hungry.com>

	* include/gc.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniinvoc.c, lib/libruntime/clparse.c,
	lib/libruntime/gc.c, lib/libruntime/nsprgc.c,
	lib/libruntime/objects.c, lib/libruntime/stubgc.c: switch GC to
	JGC, and stop using #defines to dispatch throgugh.  make them
	functions so we can check if the VM is null.

1998-10-16 20:11  Christoph Toshok <toshok@hungry.com>

	* include/objects.h: fix the comment, since we don't store gc magic
	explicitly in objects now.

1998-10-16 20:03  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: add liboji to the find link line.

1998-10-16 05:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPlugin.cpp, japharJVMPlugin.h: track
	changes to the nsIJVMPlugin class.

1998-10-13 10:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/component.c: Don't crash if widget is
	unset (NULL).

1998-10-12 11:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: checkbox.c, menuitem.c: Added
	missing #include "log.h".

1998-10-12 10:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: drawingsurface.c, graphics.c,
	scrollpane.c, selection.c, textarea.c, textfield.c: Added missing
	return values to stubs.

1998-10-12 10:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/fontmetrics.c: Remember to lock and
	unlock the AWT.

1998-10-12 10:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Typo fixed.  Added missing
	';'.

1998-10-12 06:40  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, image.c: Add
	implementation of sun.awt.image.ImageRepresentation (which isn't
	strictly part of the awt, but will live here anyway.)

1998-10-12 06:19  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: button.c, checkbox.c, common.c,
	component.c, fontmetrics.c, frame.c, inputthread.c, label.c,
	list.c, menu.c, menubar.c, menuitem.c, toolkit.c, common.h: quiet
	down the AWT by turning all the printf's into JAVARLOG's

1998-10-12 05:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: button.c, canvas.c, common.c,
	component.c, common.h, frame.c, menuitem.c: major stuff is
	happening now -- we have events wired up enough for FrameTest.java
	to work, and FrameMenuTest.java is close as well.  time to write
	more awt tests, I think.

1998-10-11 05:59  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: button.c, canvas.c, checkbox.c,
	common.c, component.c, frame.c, label.c, list.c, menu.c, menubar.c,
	menuitem.c: set the initial label of the button if it was set using
	the constructor of java/awt/Button.  also, inherit background
	colors from parent widgets. also, show menuitems and menus when
	they're created -- seems like they don't use the same show/hide
	behavior.  also, make sure that menu items are actually children of
	the menu and not the menu's cascade button

1998-10-11 04:38  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: this is gross -- sleep for 2 seconds after
	starting a new thread, to make sure the thread attaches itself
	before the one that spawned it dies.

1998-10-11 04:37  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: make DetachThread notify those waiting
	on the vm's monitor, and have DestroyJavaVM wait on the monitor
	until there's only one thread left

1998-10-11 03:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/inputthread.c: rework input loop to
	use XtAppProcessInput instead of XtAppNextEvent/XtDispatchEvent.

1998-10-11 03:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: add some ifdef'ed out
	code to handleEvent, and implementations of setBackground and
	setForeground.

1998-10-11 03:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/fontmetrics.c: hack in support for
	fixed font only.

1998-10-08 21:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: If CallJavaMethod is called with an
	interface method, we need to do an additional lookup to find the
	actual method to call.	This fixes the guile-jvm problem the
	classpath people were having.

1998-10-08 19:58  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: remove a loop and replace it with a
	single assignment (thanks to the nesting_level ClazzFile slot.

1998-10-08 12:27  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: convert from printfs to
	JAVARLOG macros.

1998-10-08 12:01  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurbs about the javac fix and the libffi stuff.

1998-10-08 11:58  Christoph Toshok <toshok@hungry.com>

	* www/images/: bullet1.gif, bullet2.gif: Add the bullet images for
	use on the pages.

1998-10-08 11:55  Christoph Toshok <toshok@hungry.com>

	* www/: .cvsignore, japhar.org.html: Add a .cvsignore file to
	ignore the generated html files, and remove the japhar.org.html
	file.

1998-10-08 11:53  Christoph Toshok <toshok@hungry.com>

	* www/src/: Makefile, docs.src, getting.src, index.src,
	japhardocs.src, javadocs.src, lists.src, make-html, news.src,
	oji.src, related.src, spec, testsuite.src: add the html page
	sourcefiles.

1998-10-08 11:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: stomp a nasty bug that was causing
	javac to crap out when compiling some .java files.

1998-10-07 13:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: checkbox.c, common.c, frame.c,
	inputthread.c, list.c, menu.c, menubar.c, menuitem.c, toolkit.c:
	rework some stuff -- most importantly the inputthreads's event
	loop.

1998-10-07 11:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: fix bernd's problem with static
	initializers.

1998-10-07 11:06  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/StaticInitTest.java: Add a testsuite that
	exhibits Bernd's static initializer complaint.

1998-10-07 09:35  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/unixproc.c: flesh out
	java.lang.UNIXProcess.forkAndExec

1998-10-07 08:13  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: fix the signature of the
	java.lang.UNIXProcess constructor.

1998-10-07 07:40  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: value.j is certainly larger than
	value.l - if we're clearing a jvalue.

1998-10-07 05:06  Christoph Toshok <toshok@hungry.com>

	* configure.in, lib/libffi/Makefile.in,
	lib/libffi/include/Makefile.in, lib/libffi/src/Makefile.in: enable
	libffi by default - if it's supported on the architecture.

1998-10-07 04:34  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: Makefile.in, configure, configure.in,
	include/Makefile.in, src/Makefile.am, src/Makefile.in,
	src/x86/sysv.S: merge libffi-1.20 onto head.

1998-10-07 04:27  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/arm/: ffi.c, sysv.S: Initial revision

1998-10-07 04:27  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: Makefile.in, README, aclocal.m4, configure,
	configure.in, include/Makefile.in, include/ffi.h.in,
	src/Makefile.in, src/Makefile.am, src/ffitest.c, src/types.c,
	src/alpha/osf.S, src/arm/ffi.c, src/arm/sysv.S, src/m68k/ffi.c,
	src/m68k/sysv.S, src/x86/ffi.c, src/x86/sysv.S: import of
	libffi-1.20

1998-10-07 04:13  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/ioStubs.c,
	java.lang.reflect/reflectStubs.c, java.lang/langStubs.c,
	java.net/netStubs.c, java.util.zip/zipStubs.c,
	java.util/utilStubs.c, sun.awt.motif/awtStubs.c,
	sun.debug.agent/agentStubs.c, sysresource/sysresStubs.c: no need to
	include the stubs if libffi is being used.

1998-10-07 04:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: actually make the libffi stuff work.

1998-10-05 12:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: nsprgc.c, stubgc.c: Added missing GC entries in
	stub GC, and changed all debug spew to use JAVARLOG macros.

1998-10-05 12:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: AM_CONDITIONAL must be placed outside of if
	statements.

1998-10-01 23:33  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about gc.

1998-10-01 23:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nsprgc.c: better spew

1998-10-01 22:48  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jnicpp.cpp, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnistr.c, lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c,
	lib/libnative/java.util/resbundle.c, lib/libruntime/Makefile.am,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libruntime/clparse.c, lib/libruntime/gc.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/msgc.c, lib/libruntime/nsprgc.c,
	lib/libruntime/objects.c, lib/libruntime/stubgc.c,
	include/class-repository.h, include/gc.h, include/objects.h:
	completely gut the old gc mechanism.  now gc's are represented as a
	vtable of operations.  this commit contains a stubgc (where nothing
	is ever freed, much like the way things work today) and the
	beginnings of an nspr one (for use with mozilla.)

1998-10-01 22:29  Christoph Toshok <toshok@hungry.com>

	* configure.in: check for the nspr gc stuff in libmsgc21.so

1998-10-01 07:26  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: make sure LIBFFI shows up in the
	profiling section of japhar

1998-10-01 07:25  Christoph Toshok <toshok@hungry.com>

	* progs/: dump-class/Makefile.am, japharh/Makefile.am: if
	LIBFFI_SUPPORT is defined, we need to link executables with libffi

1998-10-01 07:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: if LIBFFI_SUPPORT is defined, libffi
	needs to be linked into opstack_test.

1998-10-01 07:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: add ffi support for
	do_native_method_call.	it still has some problems, but it seems to
	be working for normal native methods.

1998-10-01 07:22  Christoph Toshok <toshok@hungry.com>

	* configure.in: fix the libffi stuff, and --with-mozilla shouldn't
	define FOR_MOZILLA.  the OJI stuff should.

1998-10-01 07:19  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c, lib/libruntime/class-repository.c,
	include/class-repository.h: remove descriptor stuff from the
	class-repository

1998-10-01 07:18  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: remove some dead code.

1998-10-01 04:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: rework the native name generation
	stuff so that we don't malloc.	we never needed to do it anyway.

1998-09-30 23:41  Christoph Toshok <toshok@hungry.com>

	* NEWS, configure.in: Bump the revision to 0.07 and add a 0.07 News
	item.

1998-09-30 09:32  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: replace a couple of for loops with
	memcpy's

1998-09-30 05:14  Christoph Toshok <toshok@hungry.com>

	* configure.in, NEWS: update the version number and put a date in
	the NEWS file.

1998-09-30 05:04  Christoph Toshok <toshok@hungry.com>

	* Makefile.am, lib/liboji/Makefile.am: offer japhar_oji target in
	toplevel Makefile.am as well as in lib/liboji/Makefile.am

1998-09-29 22:56  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: add the headers to SOURCES

1998-09-29 22:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: since interpfunc.c isn't listed in
	SOURCES anymore, we need it in EXTRA_DIST.

1998-09-29 21:45  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/OJI_NOTES: add notes (currently about the
	inputthread.)

1998-09-29 21:45  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/inputthread.c: restructure the event
	look so it has a FOR_MOZILLA, which conforms to the text in
	OJI_NOTES.

1998-09-29 21:38  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: more spew and do some
	more.... well... stuff.

1998-09-29 21:37  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.h: common.h should include
	config.h

1998-09-29 21:35  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: add more debug spew to thread
	creation.  now it prints out the name of the thread.

1998-09-29 21:32  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: we don't use interpreter functions anymore.

1998-09-29 21:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: remove more of the #ifdef
	INTERP_SWITCH stuff..  but we need to leave the opcode table
	around, since dump_class uses it.

1998-09-29 21:29  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: we need to loop until i>1, since if
	a non-static method is called with no parameters, args == NULL. 
	new_args[1] in this case is filled in by the assignment following
	the loop.

1998-09-29 21:27  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: remove all the #include directives
	-- trim out the #ifndef INTERP_SWITCH stuff

1998-09-29 21:27  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: we don't look for, or store descriptors
	in the repository anymore.  they're in the ClazzFile.

1998-09-29 21:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: no need to build interpfunc.c as its
	own .o anymore.

1998-09-29 21:26  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniclass.c: cache the classloader in the ClazzFile

1998-09-29 21:25  Christoph Toshok <toshok@hungry.com>

	* lib/Makefile.am: Add support for oji

1998-09-29 21:23  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: The caching of jclass objects in the
	class-repository doesn't work, since the ClazzFile might not *be*
	in the class repository - if it's loaded from a different
	classloader.  The only way to win here is to cache the jclass
	inside the ClazzFile.

1998-09-29 21:22  Christoph Toshok <toshok@hungry.com>

	* AUTHORS: moved paul from current maintainer to previous
	maintainer.

1998-09-29 21:16  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: track changes to configure.in

1998-09-29 21:16  Christoph Toshok <toshok@hungry.com>

	* configure.in: remove the --with-interpreter-switch, since it's
	always buitl that way now.  also, make the -lSM and -lICE libs link
	in the right place (just before -lX11).  Also, generate the
	Makefile in lib/liboji/classes.

1998-09-29 21:13  Christoph Toshok <toshok@hungry.com>

	* progs/: dump-class/Makefile.am, japhar/Makefile.am,
	japharh/Makefile.am: change the LINK variable, since we need to
	link with C++

1998-09-29 19:54  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/appletcontext.cpp: nsINetworkManager has gone
	away in the newest mozilla source.  nsIPluginManager does all the
	things nsINetworkManager used to do.

1998-09-29 19:53  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharAppletContext.java: change comment

1998-09-29 19:52  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: more applet stuff...
	guard against multiple SetWindow's being called with the same
	window, and add more misc checks..  also try to make sure we have a
	good codebase to load the applet from

1998-09-29 19:51  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: make sure the setSecurityManager
	call doesn't raise an exception.

1998-09-29 19:50  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMConsole.cpp, japharJVMConsole.h: prepare to
	have a (mostly all) java console.

1998-09-29 19:50  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/JapharClassLoader.java: add a silly class
	loader.  it's not used yet.

1998-09-29 19:48  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: only include the bits in liboji.so.0.0
	that we really need.

1998-09-29 19:42  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add a blurb about OJI in the NEWS file.

1998-09-29 19:42  Christoph Toshok <toshok@hungry.com>

	* README: update classpath url and name, as well as the url's for
	the homepage/ftp site.

1998-09-29 19:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/array-class.c: Throw exception when
	createFakeArrayClass() is running out of memory.

1998-09-23 11:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/exceptions.h, lib/libruntime/abort.c,
	lib/libruntime/exceptions.c: Output line number and program counter
	on crash and in toplevel exception handler.  New
	method_pc_to_line_number() converts program counter.

1998-09-21 07:17  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/toolkit.c: no need to call the start
	method on sun.awt.motif.InputThread.  calling <init> starts it.

1998-09-21 07:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: pReshape should resize the
	shell parent of the frame.  also, XtPopup(XtParent(frame_widget));
	in pShow

1998-09-21 07:15  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/inputthread.c: don't use the
	XtAppNextEvent foo if we're FOR_MOZILLA

1998-09-21 03:47  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPluginInstance.cpp,
	japharJVMPluginInstance.h: keep a flag to tell whether the applet
	has been started or stopped... so we avoid calling applet.start()
	more than once without an intervening applet.stop().

1998-09-21 03:46  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/appletcontext.cpp: M-x indent-region

1998-09-21 02:38  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/appletcontext.cpp: fix sig to toString()
	methodID.

1998-09-21 01:27  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: add debug spew and return
	values for the two nsPluginInstanceVariable's.

1998-09-21 01:24  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: disable deferring to the
	japharJVMConsole for now... it seems to cause problems (i.e.,
	crashes.)

1998-09-21 00:50  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMConsole.cpp,
	japharJVMConsole.h, japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharJVMPluginInstance.cpp, japharJVMPluginInstance.h,
	japharPlugin.cpp: lots more japhar oji stuff.  we now load the
	applet from the document base (or codebase if one is specified) --
	no more hardcoded applet names... and lots more stuff is cleaned
	up.

1998-09-21 00:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, checkbox.c, common.c,
	common.h, component.c, frame.c, graphics.c, inputthread.c, list.c,
	scrollbar.c, scrollpane.c, textfield.c, toolkit.c: lots more new
	awt code.

1998-09-20 19:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Corrected alignment calculations.  Now
	work on Solaris (again :-).

1998-09-20 00:31  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/: JapharAppletContext.java, appletcontext.cpp:
	add license blurbs.

1998-09-19 17:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.bench/: Sieve.java, execute.exp: Added small
	Eratosthenes Sieve prime number benchmark.

1998-09-19 17:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/: BigArrayTest.java, TestCasts.java: Make
	sure tests work on JDK 1.1.5.

1998-09-19 15:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Ignore and skip field attribute
	'Synthetic'.  I beleave guavac generate it.

1998-09-18 12:35  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang.reflect/array.c: Add
	Java_java_lang_reflect_Array_getChar

1998-09-18 12:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/Makefile.am: oops.  missing backslash

1998-09-18 11:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, graphics.c,
	selection.c: Add more stubs

1998-09-18 11:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: checkbox.c, checkboxmenuitem.c,
	choice.c, dialog.c, list.c, drawingsurface.c, popupmenu.c,
	textarea.c, textfield.c, window.c, Makefile.am, filedialog.c: add
	some new stubs

1998-09-16 19:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am, lib/libnative/java.net/Makefile.am: Added
	missing source files to distribution.

1998-09-09 04:55  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: Makefile.am, japharJVMPlugin.cpp,
	japharJVMPluginInstance.cpp, japharJVMPluginInstance.h,
	japharPlugin.cpp, classes/JapharAppletContext.java,
	classes/appletcontext.cpp,
	classes/_stubs/com_hungry_java_japhar_JapharAppletContext_stubs.c:
	more stuff.

1998-09-09 02:03  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/classes/: .cvsignore, JapharAppletContext.java,
	Makefile.am, appletcontext.cpp, appletcontextStubs.c,
	_stubs/com_hungry_java_japhar_JapharAppletContext_stubs.c: Add
	JapharAppletContext stuff.

1998-09-08 23:34  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPluginInstance.cpp,
	japharJVMPluginInstance.h: add code to get attributes of the java
	applet, and add useless calls to ShowStatus.

1998-09-08 23:28  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPlugin.cpp, japharJVMPlugin.h: Add a
	constructor again.  and set the factory_monitor to NULL after we
	destroy it.

1998-09-08 22:46  Christoph Toshok <toshok@hungry.com>

	* configure.in: disable ffi completely for now.

1998-09-08 22:06  Christoph Toshok <toshok@hungry.com>

	* configure.in, lib/liboji/Makefile.am: remove the hardcoded OBJDIR
	reference.

1998-09-08 22:02  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: don't hardcode the paths to mozilla.	get
	it from configure.in.

1998-09-08 22:01  Christoph Toshok <toshok@hungry.com>

	* configure.in: correct the check for LIBFFI_SUPPORT's automake
	conditional, and add support for --with-mozilla to correctly get
	the paths to NSPR/OJI stuff.

1998-09-08 21:13  Christoph Toshok <toshok@hungry.com>

	* configure.in: configure.in changes to track oji stuff and to not
	build the libffi stuff unless requested.

1998-09-08 21:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: getopt.c, getopt1.c: comment out the ELIDE_CODE
	so we all build getopt stuff now.

1998-09-08 19:51  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPlugin.cpp, japharJVMPlugin.h,
	japharJVMPluginInstance.cpp, japharJVMPluginInstance.h,
	japharPlugin.cpp: add more spew, and stuff. :)

1998-09-08 19:51  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: add target to slurp up all the .lo files
	and make one shared library from them.

1998-09-08 19:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: call initialize_class before
	set_static_field/get_static_field.  It seems bad to be sprinkling
	these initialize_class calls everywhere... maybe we should just
	initialize the class when I first load it?

1998-09-08 19:46  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: hack to get AttachCurrentThread
	working.  call initialize_system_threads from the new thread.  This
	is almost correct, except that it creates a new ThreadGroup and
	always names the current java thread 'main'. :)

1998-09-08 19:44  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h: fix MONITOR_destroy prototype

1998-09-08 11:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am: Added missing alloc.h.

1998-09-08 11:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Added working java.net to NEWS list.

1998-09-08 04:18  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/Makefile.am: add hack

1998-09-08 04:14  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPluginInstance.cpp: change the type of
	QueryInterface to more explicitly track what it's supposed to be.

1998-09-08 04:13  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPlugin.cpp, japharJVMPlugin.h: stub out
	some more stuff.

1998-09-08 02:53  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: more spew, and more return
	NS_OK's.

1998-09-08 02:37  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/japharJVMPlugin.cpp: return a mime type, and return
	NS_OK everywhere.

1998-09-08 01:41  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: japharJVMPlugin.cpp, japharJVMPluginInstance.cpp,
	japharPlugin.cpp: add debug spew and make NSGetFactory return an
	instance of japharJVMPlugin

1998-09-08 01:21  Christoph Toshok <toshok@hungry.com>

	* lib/liboji/: .cvsignore, Makefile.am, japharJVMPlugin.cpp,
	japharJVMPlugin.h, japharJVMPluginInstance.cpp,
	japharJVMPluginInstance.h, japharPlugin.cpp: initial work on oji
	interface.

1998-09-04 00:04  Christoph Toshok <toshok@hungry.com>

	* include/compat.h: include <sys/types.h> for the benefit of
	freebsd-current.

1998-09-04 00:04  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: make sched_yield bind at lower priority than
	pthread_yield, since freebsd-current seems to have both.

1998-09-03 23:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Corrected
	PlainSocketImpl.socketConnect().  The problem was wrong prototype,
	the third param (target socket) was missing and therefore not set. 
	All java.net tests now work.

1998-09-01 17:15  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: try loading lib%s.so if libjaphar_%s.so
	fails.

1998-08-31 19:15  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: don't include interp.h

1998-08-31 18:36  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, NEWS, lib/libjni/src/jniclass.c,
	lib/libruntime/clparse.c, lib/libruntime/interpfunc.c,
	lib/libruntime/resolve.c: fix op_checkcast and move
	is_assignable_from functionality into libruntime to keep from
	having so many libruntime => libjni calls.

1998-08-31 05:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c, testsuite/java.lang/CastTest.java:
	fix the op_checkcast opcode, and augment CastTest.java to check for
	object casting as well.

1998-08-30 20:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Try to handle allocation error in
	create_static_fields().

1998-08-30 19:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/arrays.c, libjni/src/jniarray.c,
	libjni/src/jnistr.c: Handle some allocation errors more gracefully.

1998-08-27 20:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c: strcat's second argument is a string, not a
	character.

1998-08-25 20:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c: whoops.  _3 == [ and _2 == ; in native
	mangling.

1998-08-24 22:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jniobj.c: Implemented JNI method IsInstanceOf().

1998-08-24 22:26  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about native name mangling and OutOfMemoryError
	throwing.

1998-08-24 22:23  Christoph Toshok <toshok@hungry.com>

	* include/sig.h, lib/libruntime/nativeglue.c, lib/libruntime/sig.c:
	
	handle the long native names for overloaded native methods.  we
	look up the short name first, and the long name if the short one
	fails (as per the JNI spec.)
	
	we don't handle unicode characters in method names, but in all
	other respects it works.
	
	now, to modify japharh to spit out the mangled names when necessary
	:)

1998-08-24 22:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libruntime/objects.c, libnative/java.lang/class.c,
	libjni/src/jniobj.c: Handle failure in
	java.lang.Class.newInstance().

1998-08-24 20:15  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: more graceful failure stuff.

1998-08-24 19:58  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: arrays.c, interpfunc.c: handle allocation
	failure gracefully.  We throw OutOfMemoryErrors now :)

1998-08-24 19:49  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/BigArrayTest.java: huge array test.

1998-08-24 18:35  Christoph Toshok <toshok@hungry.com>

	* arch/signals.c, lib/libjni/src/jnicpp.cpp: now the simple test of
	creating two VM's serially doesn't crash

1998-08-24 12:07  Christoph Toshok <toshok@hungry.com>

	* testsuite/lib/jni.exp: add initial support for testing .c files
	(JNI stuff)

1998-08-24 11:26  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/threads.c, include/interp.h,
	include/op_stack.h, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnismeth.c, lib/libruntime/abort.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c: a couple of
	(rather large) changes.  operand stack values are now untagged --
	they're void*'s, so they should be ok on platforms with 32 and 64
	bit points (hopefully).  also, method lookups in the runtime are no
	longer done with env->Get{Static}MethodID, since these functions
	have the additional overhead of throwing an exception if the lookup
	fails.	they now use find_{static_}method.  also, pass the JNIEnv
	to a couple of more functions so we don't have to call
	THREAD_getEnv, or use JThreadInfo->thread_env if we have the
	JThreadInfo lying around.

1998-08-24 11:19  Christoph Toshok <toshok@hungry.com>

	* NEWS: add a blurb about the inlining and interpreter switch
	optimizations.

1998-08-24 11:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am, lib/libruntime/method.c,
	include/method.h: add method lookup functions

1998-08-22 15:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* scripts/: Makefile.am, appletviewer.in, jar.in, javac.in,
	javadoc.in, javakey.in, javap.in, jdb.in, native2ascii.in, rmic.in,
	rmiregistry.in, serialver.in: Make sure the scripts finds japhar
	even if --program-{suffix|prefix} is used.

1998-08-22 14:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* INSTALL: Added info on how to avoid name conflicts with JDK. 
	More info on working and non-working JDKs.

1998-08-22 14:41  Petter Reinholdtsen <pere@td.org.uit.no>

	* scripts/Makefile.am: Make sure japhar-config is installed with
	execute bit set even if --program-{suffix|prefix} is used during
	configure.

1998-08-19 18:35  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: fix nspr threads.

1998-08-19 06:31  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: Makefile.in, configure, include/Makefile.in,
	src/Makefile.in: track upgrade to autoconf/automake

1998-08-19 06:29  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/method.c: fix build.

1998-08-19 06:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: reorder the includes to fix build
	when --with-interp-switch isn't on the configure command line.

1998-08-19 05:58  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.io/SerializableTest.java: try
	serializing/deserializing an integer array.

1998-08-19 05:55  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: include op_stack.h, and call
	THREAD_resume/suspend

1998-08-19 05:53  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/opstack_test.c: include some stuff to make the
	compiler stop complaining

1998-08-19 05:52  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: include op_stack.h and do the
	CLASSNAME/METHOD only if DEBUG thang.

1998-08-19 05:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: optimize away the
	METHODNAME/CLASSNAME stuff if we're not DEBUGing, and make
	execute_opcode inline and static.

1998-08-19 05:48  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: include the opstack inline stuff.

1998-08-19 05:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c: include util.h, and include the
	optimization for class lookups on java/lang/{String,Class,Object}
	here, where it'll get picked up by both the native vm stuff, and
	FindClass.

1998-08-19 05:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/sig.c: include util.h

1998-08-19 05:44  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: don't rely on the METHODNAME and
	CLASSNAME macros being present... also, clear up some formatting
	issues.

1998-08-19 05:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: remove the op_stack.c file from the
	build.

1998-08-19 05:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: remove all the <blah>_to_<blah>
	functions, as well as getClassName, since they're all preprocessor
	macros.

1998-08-19 05:38  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: change the fprintf's so they don't depend
	on the CLASSNAME and METHODNAME macros

1998-08-19 05:26  Christoph Toshok <toshok@hungry.com>

	* include/op_stack.h: make the operand stack functions static and
	inline.

1998-08-19 05:23  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h: add prototypes for
	THREAD_{suspend,resume}

1998-08-19 05:23  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: add THREAD_suspend and THREAD_resume functions,
	and inline the thread_onetime_init function.

1998-08-19 05:18  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: remove the execute_opcode prototype (since it's
	static and inline now.) and don't include op_stack.h.  move the
	types from op_stack.h here, and #ifdef DEBUG some stuff that would
	normally be in stack frames so we can collapse them when we're
	building the real bits.

1998-08-19 05:17  Christoph Toshok <toshok@hungry.com>

	* include/objects.h: don't include op_stack.h

1998-08-19 05:13  Christoph Toshok <toshok@hungry.com>

	* HACKING: Changed the reference to JCL to mention Classpath
	instead.

1998-08-19 05:08  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/: header.c, japharh.c: track changes to the string
	rewriting macro's and the getopt changes.

1998-08-19 05:04  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: track changes to the getopt naming stuff.

1998-08-19 05:02  Christoph Toshok <toshok@hungry.com>

	* include/getopt.h, lib/libruntime/getopt.c,
	lib/libruntime/getopt1.c: change names of stuff so we don't
	conflict with installed getopt

1998-08-19 05:01  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: don't include op_stack.h anymore (since the
	types are now in interp.h).  change getClassName to a macro since
	it's called *so* much.	also, remove the string function prototypes
	from this header, since they're macro-ized in util.h now.

1998-08-19 04:57  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniclass.c: remove the special casing for
	java/lang/{String,Object,Class} to find_class, where it will do
	more good.

1998-08-19 04:54  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: handle initial properties (-D command
	line switches.)

1998-08-19 04:45  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: include util.h, and rework
	things so the macros will work.

1998-08-19 04:44  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: use GetObjectClass instead of
	FindClass

1998-08-19 04:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objistrm.c: include util.h to get the macro
	string rewriters.

1998-08-19 04:41  Christoph Toshok <toshok@hungry.com>

	* include/util.h: string rewriting functions.

1998-08-18 23:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/IsInstanceTest.java: Typo fixed.	main() must
	be public too.

1998-08-18 22:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/InnerclassTest.java: Test inner classes.	Not
	sure who send me this test.

1998-08-18 21:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libffi/configure.in: Stop overriding default /bin/zsh.

1998-08-18 16:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Keep configure going even if DLL underscore test
	fails.

1998-08-15 18:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/SocketReceiveTest.java: Check TCP client
	methods.

1998-08-14 06:31  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: what was I *thinking*... we can't
	look at method->name when method == NULL.  duh.

1998-08-14 00:00  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: fix build after putting OPCODE_START
	in.

1998-08-13 23:42  Christoph Toshok <toshok@hungry.com>

	* configure.in: remove liboji from the configure.in file for now.

1998-08-13 23:41  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/Makefile.am: if we are using LIBFFI, include
	libffi.la on the link line

1998-08-13 23:39  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, include/interp.h, lib/libruntime/Makefile.am,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c: Add the
	ability to switch (no pun intended) to a big switch statement for
	opcodes, instead of having separate functions for each.

1998-08-13 23:38  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add the interploop_switch stuff, and some more misc
	libffi stuff.

1998-08-12 19:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Check for pthread.h and pthread_key_create() or
	pthread_keycreate().  HP/UX has the last one.  HP/UX seem to use
	the same types as the other platforms - let it use the same
	jnitypes.frag.

1998-08-11 16:57  Christoph Toshok <toshok@hungry.com>

	* NEWS: add little blurb about jclass change

1998-08-11 16:54  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: .cvsignore, src/.cvsignore: add more stuff to the
	.cvsignore's

1998-08-11 03:13  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, acinclude.m4, configure.in, lib/Makefile.am:
	configure/build libffi if it's supported.

1998-08-11 03:11  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: Makefile.in, aclocal.m4, configure, fficonfig.h.in,
	include/Makefile.in, src/Makefile.in: track changes caused by 1)
	differing versions of automake, changes in the Makefile.am's, or
	changes in configure.in

1998-08-11 03:10  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/configure.in: check for machine/asm.h, which is needed
	on freebsd.

1998-08-11 03:08  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/Makefile.am: switch order of ffi.c and sysv.S

1998-08-11 03:08  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/.cvsignore: ignore other files.

1998-08-11 02:58  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/src/x86/sysv.S: support FreeBSD without sacrificing
	linux support.

1998-08-11 01:07  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: .cvsignore, include/.cvsignore, src/.cvsignore: Add
	.cvsignore files.

1998-08-11 01:07  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: configure, configure.in: Add freebsd to the list of
	supported platforms.

1998-08-11 00:17  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: better solution -- use __alignof__ if
	we're using gcc.  otherwise, use petter's structure hack. 
	hopefully there is another way to determine (from the architecture,
	perhaps?) what the recommended alignment is for a type, instead of
	the structure thing.  for now, though...

1998-08-10 15:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libnative/java.lang/system.c,
	libnative/java.lang.reflect/constructor.c,
	libnative/java.lang.reflect/method.c, libjni/src/jniinvoc.c,
	libjni/src/jnimeth.c, libjni/src/jniobj.c: Remove warnings on HP/UX
	10.20.

1998-08-10 13:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Typo fixed for HP/UX DLL support.

1998-08-10 09:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: java/io/ObjectStreamField; =>
	java/io/ObjectStreamField

1998-08-10 09:16  Christoph Toshok <toshok@hungry.com>

	* www/japhar.org.html: typo

1998-08-10 09:15  Christoph Toshok <toshok@hungry.com>

	* www/: japhar.org.html, images/index, images/index.html,
	images/japhar-big.gif, images/japhar-bw.gif,
	images/japhar-icon.gif, images/japhar-light-big.gif,
	images/japhar-light.gif, images/japhar-small.gif,
	images/japhar-tiny.gif, images/japhar.gif: initial import of vern's
	stuff.

1998-08-10 09:10  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: JNI methods take jclass's, not
	ClazzFile*'s.

1998-08-10 09:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: identityHashCode was kinda
	screwy - it was trying to call CallNonvirtualIntMethod on an object
	that didn't have the right type.  To fix things, I just cut and
	pasted the code (3 lines) from java.lang.Object.hashCode.

1998-08-10 08:13  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnistr.c: make UTF8_1BYTE_THRESHOLD 0x0080 instead
	of 0x0079 so 'z' (ascii 122) is treated as a one byte character.

1998-08-10 00:44  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: clear the exception if there is
	one.

1998-08-10 00:43  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objistrm.c: return the jclass, and don't
	try to convert it *to* a jclass.

1998-08-10 00:24  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: add a JNIEnv* to the JThreadInfo.

1998-08-10 00:23  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: include/interp.h

1998-08-10 00:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Add a bit more information in a
	comment.

1998-08-09 23:47  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnimeth.c: fix string - it depends on the JType

1998-08-09 23:42  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/resolve.c, include/resolve.h: these methods return
	ClazzFile's, not jclass's.  also, call dots_to_slashes

1998-08-09 23:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: catch_clazz_index == 0 seems to be a
	tag for a wildcard exception handler -- a wildcard.

1998-08-09 22:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: Fix getInterfaces

1998-08-09 22:28  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: it's good to compile your code
	before committing it.

1998-08-09 22:27  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: oops, missed one.

1998-08-09 22:26  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: GetObjectClass doesn't return a
	ClazzFile*

1998-08-09 22:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objistrm.c: dump out the classes of
	parameters to some native functions.

1998-08-09 22:16  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/common.c: GetObjectClass does not return a
	ClazzFile*

1998-08-09 21:49  Christoph Toshok <toshok@hungry.com>

	* scripts/Makefile.am: add japhar-config to the list of things to
	install/dist, and make sure it's mode 755 after we install it.

1998-08-09 21:48  Christoph Toshok <toshok@hungry.com>

	* configure.in: generate japhar-config script.

1998-08-09 21:48  Christoph Toshok <toshok@hungry.com>

	* scripts/: japhar-config.in, .cvsignore: Add japhar-config script

1998-08-09 21:00  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Always THREAD_setEnv(NULL) after
	deallocating the JNIEnv.  This allows fprintf and some other things
	to work after the VM has been destroyed -- fixes bernd's inherit.c
	so it runs to completion.

1998-08-09 20:57  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jnimeth.c, jnismeth.c: use getSuperClass instead
	of cf->superclass.  this fixes bernd's inherit.c

1998-08-09 07:23  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.io/SerializableTest.java: Add serialization test.

1998-08-09 01:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: always initialize the length*
	parameter to the sizeof the value* parameter in calls to
	getsockopt.

1998-08-09 00:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: just call initialize_class. it may
	be being initialized on another thread, and the
	initialization_state may be out of sync with reality.

1998-08-06 11:57  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/arrays.c: Use .l instead of .i for holding jobject

1998-08-06 05:42  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/interploop.c: Ok, making sure a class is
	initialized when accessing a static field proved to be necessary.

1998-08-06 05:39  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/arrays.c, include/arrays.h: Added method
	jobjects_to_jvalues() (used from reflection stuff)

1998-08-06 05:38  Hernan Otero <hernan@fuegotech.com>

	* testsuite/java.lang.reflect/ReflectionTest.java: Added test for
	Constructor.newInstance()

1998-08-06 05:38  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang.reflect/: constructor.c, method.c: Added
	implementations of Method.invoke() and Constructor.newInstance()

1998-08-06 04:32  Hernan Otero <hernan@fuegotech.com>

	* lib/: libruntime/primitive-class.c, libnative/java.lang/class.c:
	Some places where jclass == ClazzFile* was still assumed.

1998-08-06 04:17  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang/class.c: Some places where jclass ==
	ClazzFile* was still assumed.  Renamed some static functions.

1998-08-06 04:15  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/interploop.c: Added more info when class
	initialization is required due to get_constant_field

1998-08-06 04:14  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/nativeglue.c: Some places where jclass ==
	ClazzFile* was still assumed

1998-08-06 02:43  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: LICENSE, Makefile.am, Makefile.in, README,
	acconfig.h, aclocal.m4, config.guess, config.sub, configure,
	configure.in, fficonfig.h.in, install-sh, ltconfig, ltmain.sh,
	missing, mkinstalldirs, stamp-h.in, include/Makefile.am,
	include/Makefile.in, include/ffi_common.h, include/ffi.h.in,
	include/ffi_mips.h, src/Makefile.am, src/Makefile.in, src/debug.c,
	src/ffitest.c, src/prep_cif.c, src/types.c, src/m68k/ffi.c,
	src/m68k/sysv.S, src/mips/ffi.c, src/mips/n32.S, src/x86/ffi.c,
	src/x86/sysv.S, src/alpha/ffi.c, src/alpha/osf.S, src/mips/n32.s,
	src/mips/o32.S, src/mips/o32.s, src/powerpc/asm.h,
	src/powerpc/ffi.c, src/powerpc/sysv.S, src/sparc/ffi.c,
	src/sparc/v8.S: Initial revision

1998-08-06 02:43  Christoph Toshok <toshok@hungry.com>

	* lib/libffi/: LICENSE, Makefile.am, Makefile.in, README,
	acconfig.h, aclocal.m4, config.guess, config.sub, configure,
	configure.in, fficonfig.h.in, install-sh, ltconfig, ltmain.sh,
	missing, mkinstalldirs, stamp-h.in, include/Makefile.am,
	include/Makefile.in, include/ffi_common.h, include/ffi.h.in,
	include/ffi_mips.h, src/Makefile.am, src/Makefile.in, src/debug.c,
	src/ffitest.c, src/prep_cif.c, src/types.c, src/m68k/ffi.c,
	src/m68k/sysv.S, src/mips/ffi.c, src/mips/n32.S, src/x86/ffi.c,
	src/x86/sysv.S, src/alpha/ffi.c, src/alpha/osf.S, src/mips/n32.s,
	src/mips/o32.S, src/mips/o32.s, src/powerpc/asm.h,
	src/powerpc/ffi.c, src/powerpc/sysv.S, src/sparc/ffi.c,
	src/sparc/v8.S: import 1.18 of libffi

1998-08-06 02:34  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jniint.h, src/jniclass.c, src/jniinvoc.c:
	cache String, Object, and Class ClazzFile*'s in the VM.

1998-08-06 02:14  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jnismeth.c,
	lib/libnative/java.lang/class.c, lib/libruntime/nativeglue.c:
	Change CallStaticJavaMethod to remove the clazz parameter (since it
	wasn't used)
	
	also, make GetMethodID and GetStaticMethodID look back up the class
	heirarchy for the method, and change CallJavaMethod to cast the
	object to the correct type.
	
	This should allow methods to be looked up via a subclass,
	regardless of the parent class that defines them.

1998-08-03 23:50  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libjni/src/jniclass.c,
	lib/libjni/src/jniobj.c, lib/libnative/java.io/objistrm.c,
	lib/libnative/java.lang/class.c, lib/libnative/java.lang/secmgr.c,
	lib/libnative/java.util/resbundle.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c:
	new_classobject -> clazzfile_to_jclass

1998-08-03 23:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: remove debug spew.

1998-08-03 23:34  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, include/array-class.h, include/objects.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnirefl.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/object.c, lib/libnative/java.lang/secmgr.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libruntime/array-class.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/getopt.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c: ok, here we
	go.  jclass's are no longer the same as ClazzFile*'s.  they are the
	same as jobjects's.

1998-08-03 23:33  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: include string.h

1998-08-03 23:32  Christoph Toshok <toshok@hungry.com>

	* configure.in: check for string.h

1998-08-03 23:32  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: fix a warning on freebsd

1998-08-03 16:17  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/ArrayTest.java: Fail ArrayName test is name
	isn't [Ljava.lang.String;

1998-07-28 18:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Leftover in set_so_timeout
	trigged by the existence of SO_RCVTIMEO and SO_SNDTIMEO.

1998-07-26 21:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Cleaned up and implemented the
	missing options in socket{Get|Set}Option().  I'm not quite sure
	which options UDP and TCP are supposed to support, so someone
	should have a look at the switch statements.

1998-07-24 05:05  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/: include/jvmdi.h, src/Makefile.am, src/jvmdiev.c,
	src/jvmdimsc.c, src/jvmdithg.c, src/jvmdithr.c: Updated to
	jdk1.2beta4 JVMDI functions

1998-07-21 05:33  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/src/jvmdisfm.c: Implemented GetFrameMethod and fixed
	GetFrameLocation

1998-07-21 04:53  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/: include/jvmdi.h, src/Makefile.am, src/jvmdicls.c,
	src/jvmdifld.c, src/jvmdimsc.c: Added some class/field/misc
	information JVMDI functions

1998-07-21 04:52  Hernan Otero <hernan@fuegotech.com>

	* include/class-repository.h, lib/libruntime/class-repository.c:
	Added functions to obtain information on loaded classes (required
	by JVMDI)

1998-07-20 06:50  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/src/jvmdimth.c: Added several JVMDI function
	implementations.

1998-07-19 13:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Avoid dereferering a null
	pointer in setPriority0().

1998-07-18 23:14  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang/class.c: Code cleanup.  Now using
	to_reflected_{field,method}

1998-07-18 23:07  Hernan Otero <hernan@fuegotech.com>

	* lib/: libnative/java.lang/thread.c, libruntime/thread.c: Nothing
	important.  Moved comments along with previously moved code.

1998-07-18 22:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interploop.c,
	lib/libnative/java.lang/thread.c: Implemented
	java.lang.Thread.setPriority0() using the new THREAD_setPriority().
	 Had to add extra field to JThreadInfo to find the thread id.

1998-07-18 22:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.sun.awt/: FrameMenuTest.java, FrameTest.java:
	Remember to print PASSED or FAILED.

1998-07-18 22:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c, configure.in: Typos fixed.  Started on the Win32
	implementation of THREAD_setPriority().  Added all Win32 methods to
	the configure function search.

1998-07-18 21:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/native-threads.h, arch/threads.c, configure.in: Started
	on THREAD_setPriority() to change priority.  This requires checking
	for some new functions in configure.in.

1998-07-18 20:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/alloc.c: Stupid typo fixed.

1998-07-18 19:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Corrected alignment handling.  Correct
	alignment is generated at compile time.  This is verified on gcc
	2.7.2.3.

1998-07-18 14:37  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/src/jvmdisfm.c: Don't use STATE_SUSPENDED yet

1998-07-18 14:20  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang/thread.c: Using {resume,suspend}_thread()
	functions to implement Thread.{resume,suspend}() methods

1998-07-18 14:19  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/src/: Makefile.am, jvmdi.c, jvmdibkp.c, jvmdicls.c,
	jvmdiev.c, jvmdifld.c, jvmdiloc.c, jvmdimm.c, jvmdimsc.c,
	jvmdimth.c, jvmdisfm.c, jvmdithr.c: Added more JVMDI functions as
	of latest JBUG info available.	Placed group of related functions
	one per jvmdixxx.c file.

1998-07-18 14:18  Hernan Otero <hernan@fuegotech.com>

	* include/interp.h: Added signature for {suspend,resume}_thread()

1998-07-18 14:18  Hernan Otero <hernan@fuegotech.com>

	* lib/libjvmdi/include/: jvmdi.h, jvmdiint.h: Added more functions
	as per latest JBUG info available.  Placed group of related
	functions per jvmdixxx.c file.

1998-07-18 14:15  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/: Makefile.am, thread.c: Added thread
	resume/suspend methods

1998-07-17 12:53  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang.reflect/field.c: Typo in function name

1998-07-17 09:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/alloc.h, lib/libruntime/Makefile.am,
	lib/libruntime/alloc.c: New wrappers for *alloc(), free() and
	strdup() which throw exception on error.  All you have to do is
	check the return value and return if they failed.

1998-07-17 01:43  Hernan Otero <hernan@fuegotech.com>

	* testsuite/java.lang.reflect/ReflectionTest.java: Added tests for
	accessing String constants and modifiers

1998-07-17 01:40  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/interploop.c: When accessing constant fields, make
	sure the constants are resolved.  Need to determine how to resolve
	a jdouble.

1998-07-17 01:39  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/Makefile.am: Oops.  Not yet.

1998-07-17 01:38  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/: Makefile.am, interploop.c: interploop.c

1998-07-17 01:35  Hernan Otero <hernan@fuegotech.com>

	* lib/libruntime/nativeglue.c: Moved code from native
	implementation to libruntime since it is now used from
	libjni/src/jnirefl.c

1998-07-17 01:34  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang.reflect/field.c: Now allows for setting
	static fields (previously only instance fields worked).  Allow
	numeric widening and reject narrowing (as specs and JDK suggest). 
	Code cleanup using JNI 1.2's {From,To}Reflected{Field,Method}.

1998-07-17 01:32  Hernan Otero <hernan@fuegotech.com>

	* lib/libnative/java.lang.reflect/: constructor.c, method.c: Code
	cleanup. Using JNI 1.2's {From,To}Reflected{Field,Method} functions

1998-07-17 01:31  Hernan Otero <hernan@fuegotech.com>

	* lib/libjni/src/jnifield.c: Fixed typo

1998-07-17 01:31  Hernan Otero <hernan@fuegotech.com>

	* lib/libjni/include/jni.h: Added {From,To}Reflected{Method,Field}
	JNI 1.2 prototypes

1998-07-17 01:30  Hernan Otero <hernan@fuegotech.com>

	* lib/libjni/src/: Makefile.am, jnirefl.c: Added
	{From,To}Reflected{Method,Field} JNI 1.2 functions

1998-07-17 01:28  Hernan Otero <hernan@fuegotech.com>

	* include/nativeglue.h: Added sig_to_jclass and
	to_reflected_{method,field} prototypes (used from
	libjni/src/jnirefl.c)

1998-07-14 14:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Bugfix.  Setting TCP_NODELAY
	should now work.

1998-07-13 11:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/: options.h, socket.c: Cleanup in
	{get|set}socketOption handling.  Added stub for multicast options. 
	Implemented NODELAY option.

1998-07-10 21:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/class.c: Reflection now handle
	exceptions.  Patch from Hernan Otero <hernan@fuegotech.com>.

1998-07-10 21:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/ClazzFile.h, lib/libruntime/clparse.c: Start parsing
	methods exception list.  Patch from Hernan Otero
	<hernan@fuegotech.com>.  Better handling of failing memory
	allocation.

1998-07-10 21:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/class.c: Use sizeof(buffer) instead of
	hardcoded values to snprintf().

1998-07-09 11:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/compat.h: Better handling of missing MAP_FAILED.

1998-07-09 11:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/constructor.c: Bugfix in
	Constructor.getModifiers() from Hernan Otero
	<hernan@fuegotech.com>.

1998-07-08 10:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Don't crash on missing socket
	option handling, throw SocketException instead.

1998-07-08 10:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/: Makefile.am, java.io/.cvsignore,
	java.lang/ConstantValueTest.java, java.lang/TestCasts.java,
	java.sun.tools/.cvsignore: Added java.lang.reflect to distribution.
	 Ignore .class files in java.io/ and java.sun.tools/.  New test
	which is supposed to fail when using the kiev compiler.  Bugfix in
	TestCast test.

1998-07-07 21:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang.reflect/ReflectionTest.java: Test exceptions
	too.

1998-07-07 18:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/dynamic_loading.c: Bugfix in configure.in. 
	Implemented HP/UX 10.20 DLL support using shl_* API.  The last one
	is completely untested.

1998-07-07 18:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Started on HP/UX DLL detection.  Hopefully the
	underscore symbol prefix should now be working.

1998-07-06 22:26  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: java.io/_stubs/java_io_FileDescriptor_stubs.c,
	java.io/_stubs/java_io_FileInputStream_stubs.c,
	java.io/_stubs/java_io_FileOutputStream_stubs.c,
	java.io/_stubs/java_io_File_stubs.c,
	java.io/_stubs/java_io_ObjectInputStream_stubs.c,
	java.io/_stubs/java_io_ObjectOutputStream_stubs.c,
	java.io/_stubs/java_io_ObjectStreamClass_stubs.c,
	java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	java.lang.reflect/_stubs/java_lang_reflect_Array_stubs.c,
	java.lang.reflect/_stubs/java_lang_reflect_Constructor_stubs.c,
	java.lang.reflect/_stubs/java_lang_reflect_Field_stubs.c,
	java.lang.reflect/_stubs/java_lang_reflect_Method_stubs.c,
	java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	java.lang/_stubs/java_lang_Class_stubs.c,
	java.lang/_stubs/java_lang_Compiler_stubs.c,
	java.lang/_stubs/java_lang_Double_stubs.c,
	java.lang/_stubs/java_lang_Float_stubs.c,
	java.lang/_stubs/java_lang_Math_stubs.c,
	java.lang/_stubs/java_lang_Object_stubs.c,
	java.lang/_stubs/java_lang_Runtime_stubs.c,
	java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	java.lang/_stubs/java_lang_System_stubs.c,
	java.lang/_stubs/java_lang_Thread_stubs.c,
	java.lang/_stubs/java_lang_Throwable_stubs.c,
	java.lang/_stubs/java_lang_UNIXProcess_stubs.c,
	java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	java.net/_stubs/java_net_PlainDatagramSocketImpl_stubs.c,
	java.net/_stubs/java_net_PlainSocketImpl_stubs.c,
	java.net/_stubs/java_net_SocketInputStream_stubs.c,
	java.net/_stubs/java_net_SocketOutputStream_stubs.c,
	java.util.zip/_stubs/java_util_zip_Adler32_stubs.c,
	java.util.zip/_stubs/java_util_zip_CRC32_stubs.c,
	java.util.zip/_stubs/java_util_zip_Deflater_stubs.c,
	java.util.zip/_stubs/java_util_zip_Inflater_stubs.c,
	java.util/_stubs/java_util_ResourceBundle_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_InputThread_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MButtonPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MCanvasPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MCheckboxMenuItemPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MCheckboxPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MChoicePeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MComponentPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MDrawingSurfaceInfo_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MFileDialogPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MLabelPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MMenuBarPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MMenuPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MPopupMenuPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MScrollPanePeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MScrollbarPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MTextFieldPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MToolkit_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MWindowPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_X11FontMetrics_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_X11Graphics_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_X11Selection_stubs.c,
	sun.debug.agent/_stubs/sun_tools_debug_Agent_stubs.c,
	sysresource/_stubs/sun_net_www_protocol_systemresource_SystemResour
	ceManager_stubs.c: Generated stubs with the new JNIEXPORT/JNICALL
	prototypes.

1998-07-06 22:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/array.c: Implemented
	Array.newArray() and Array.multiNewArray().  Untested.

1998-07-06 12:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/array.c: Implemented
	java.lang.reflect.Array.{get,set}.  Untested.

1998-07-06 12:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/: array.c, field.c: Use
	throw_Exception() instead of FindClass() and ThrowNew().  Corrected
	lost of typos in exception messages.

1998-07-06 11:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Added entry for 0.06.

1998-07-06 11:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* INSTALL: Started on a note about working JDK classes.zip.

1998-07-06 11:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/class.c: Corrected reflection handling. 
	Test now works.  Patch from Hernan Otero <hernan@fuegotech.com>.

1998-07-06 10:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang.reflect/: .cvsignore, ReflectionTest.java,
	execute.exp: Added reflection test provided by Hernan Otero
	<hernan@inter-soft.com>.

1998-07-06 10:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/: header.c, stubs.c: Added JNIEXPORT and JNICALL to
	all prototypes.  Made stubs compilable using C++.  Some cleanup in
	the generated output.

1998-07-06 09:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h, lib/libruntime/clparse.c,
	lib/libruntime/zextract.c: Check for mmap() and select() and moved
	substitute definiton of MAP_FAILED from clparse.c to compat.h.

1998-07-05 22:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Bugfix.  Now should read (actually
	skip) InnerClasses correctly from java classfiles.  Patch from
	Maxim Kizub <max@schoolnet.kiev.ua>

1998-07-02 19:33  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jni.h: Fix missing return statements.

1998-07-01 21:15  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, include/jniint.h, src/jnicpp.cpp,
	src/jniinvoc.c: Finish up the C++ stuff (add JavaVM methods, and
	fix bugs.)

1998-07-01 00:56  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/Makefile.am: Add jnicpp.cpp to the build.

1998-07-01 00:56  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jnicpp.cpp, jniinvoc.c: JNIEnv's need to be
	allocated by C++ so they get created with the right size.

1998-07-01 00:55  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/jniint.h: oops

1998-07-01 00:55  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/include/: jni.h, jniint.h: Add the C++ calling
	mechanism

1998-07-01 00:54  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add AC_PROG_CXX

1998-07-01 00:52  Christoph Toshok <toshok@hungry.com>

	* include/: ClazzFile.h, array-class.h, arrays.h,
	class-repository.h, classpath.h, compat.h, dynamic_loading.h,
	exceptions.h, gc.h, interp.h, log.h, native-threads.h,
	nativeglue.h, objects.h, op_stack.h, primitive-class.h, resolve.h,
	sig.h, zipfile.h: make headers C++ friendly

1998-06-29 11:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/class.c: Patch and bugfix from Hernan
	Otero <hernan@fuegotech.com>.  Here is his comment:
	
	In java.lang/class.c, the method getComponentType() was incorrectly
	coded since it was returning a String object instead of a Class
	object (this, for example, caused the interpreter to fail with an
	assertion when trying to locate the isArray() method for a String
	object).  [...] The methods from java.lang/class.c:
	
	  getConstructor0()
	  getConstructors0()
	  getMethod0()
	  getMethods0()
	  getField0()
	  getFields0()
	
	Some of these methods were previously unimplemented.  Others were
	implemented but only for the getDeclaredXxx() versions (i.e.,
	without going up the interface/class hierarchy).  The new
	implementation is not complete though.	I still need to allow
	signature matching for the relevant methods (getMethod0 &
	getConstructor0) and the getMethod*0() methods need to avoid
	duplicate entries for overloaded methods.  I'll eventually work on
	these remaining items too.

1998-06-29 10:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, lib/libruntime/Makefile.am: Corrected handling of
	ZLIB in makefiles.  AM_CONDITIONAL must be called even if test will
	fail to make sure the makefiles are generated correct.	Thanks to
	Hernan Otero <hernan@fuegotech.com> for providing parts of this
	patch.

1998-06-29 09:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang.reflect/constructor.c: Typo fixed in
	getModifiers().  Thanks to Hernan Otero <hernan@fuegotech.com> for
	the patch.

1998-06-29 08:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/ClazzFile.h, lib/libruntime/clparse.c: Handle
	'Deprecated' class attribute for classes.  Thanks to Hernan Otero
	<hernan@fuegotech.com> for the patch.

1998-06-26 10:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Better return value from
	call_java_method() when malloc fails.

1998-06-26 09:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Bugfix in opcode dload.	Avoid
	implicit convertion jint->jfloat->jint.

1998-06-25 23:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: java.io/_stubs/java_io_FileDescriptor_stubs.c,
	java.io/_stubs/java_io_FileInputStream_stubs.c,
	java.io/_stubs/java_io_FileOutputStream_stubs.c,
	java.io/_stubs/java_io_File_stubs.c,
	java.io/_stubs/java_io_ObjectInputStream_stubs.c,
	java.io/_stubs/java_io_ObjectOutputStream_stubs.c,
	java.io/_stubs/java_io_ObjectStreamClass_stubs.c,
	java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	java.lang/_stubs/java_lang_Class_stubs.c,
	java.lang/_stubs/java_lang_Compiler_stubs.c,
	java.lang/_stubs/java_lang_Double_stubs.c,
	java.lang/_stubs/java_lang_Runtime_stubs.c,
	java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MButtonPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MCheckboxPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MChoicePeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MFileDialogPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MLabelPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_MTextFieldPeer_stubs.c,
	sun.awt.motif/_stubs/sun_awt_motif_X11Selection_stubs.c,
	sysresource/_stubs/sun_net_www_protocol_systemresource_SystemResour
	ceManager_stubs.c: Generated new stubs.  Mostly jobject -> jstring
	changes.

1998-06-25 23:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/japharh.c: Make sure to append system classpath if
	classpath is not overriden by command line parameter.

1998-06-25 23:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: Makefile.am, java.io/Makefile.am,
	java.lang.reflect/Makefile.am, java.lang/Makefile.am,
	java.net/Makefile.am, java.util.zip/Makefile.am,
	java.util/Makefile.am, sun.awt.motif/Makefile.am,
	sun.debug.agent/Makefile.am, sysresource/Makefile.am: Make it
	easier to regenerate new stubs.  Just type 'make stubs' in
	lib/libnative/.

1998-06-25 23:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/: stubs.c, header.c: Avoid reformatting old stubs.

1998-06-25 22:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/: header.c, japharh.c, japharh.h, stubs.c: Bugfix. 
	Make sure the method prototypes have correct second paramenter
	(jclass/jobject).  Fixed typo in japharh copyright message.

1998-06-25 16:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jniclass.c: Bugfix and cleanup in FindClass(). 
	Make sure free() uses the pointer returned from strdup().  Bug
	reported by Hernan Otero <hernan@fuegotech.com>.

1998-06-21 23:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS, configure.in, include/Makefile.am: Pre dist foo.

1998-06-21 15:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/inputthread.c: Typo.

1998-06-21 15:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Debug logging foo.

1998-06-21 10:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnivtbl.c: Leftover.

1998-06-21 10:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jni.h: Added missing reserved function pointer
	at the start of JNIEnv table.

1998-06-21 10:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/Makefile.am, include/nativeglue.h,
	lib/libjni/src/jninativ.c, lib/libruntime/nativeglue.c: Implemented
	the "Registering Native Methods" part of JNI.  I'm not sure if
	unregister works as it should.	Now it just resets the native_func
	to NULL, so next time it is needed, the DLL loader kicks in.

1998-06-21 09:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Make sure to calculate field offset
	using all fields, even preresolved ones.

1998-06-21 09:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/Makefile.am: Added hack to let programs link with libjava.so
	only.

1998-06-20 20:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am, arch/fmodf.c, include/compat.h,
	include/objects.h, lib/libnative/java.io/file.c,
	lib/libnative/java.lang/class.c, lib/libnative/java.lang/runtime.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/socket.c,
	lib/libruntime/array-class.c, lib/libruntime/log.c: Remove warnings
	on Solaris.

1998-06-20 20:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Initial alignment handling.  Align
	everything on sizeof(void*) boundaries.

1998-06-20 15:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/fmodf.c, arch/vsnprintf.c, include/compat.h:
	Added compatibility method vsnprintf() and moved fmodf() from
	compat.h to arch/.

1998-06-20 13:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: Make exit value 0 on failure too.

1998-06-20 13:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: Test message content in addition to
	message length.

1998-06-20 12:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Notify all waiting for object's
	monitor when thread is finished.  This got Thread.join() working.

1998-06-20 12:49  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/runtime.c: Use snprintf() instaed of
	sprintf().

1998-06-20 12:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/JoinTest.java: Demonstrate Thread.join()
	failure.

1998-06-20 12:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* Makefile.am: Added doc/ to distribution.

1998-06-20 11:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Preparing to release v0.05.

1998-06-20 11:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/dump-class/method.c: Don't crash if exception handler block
	is NULL.

1998-06-20 11:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: objects.c, interploop.c: Corrected size of
	allocated and cloned objects.  Made sure instance fields are looked
	up after the ClazzFile pointers.

1998-06-20 11:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/: IsInstanceTest.java, TestCasts-results.txt,
	TestCasts.java: Added test of isinstanceof and different casts.

1998-06-20 11:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/objects.h, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/objects.c: Changed
	is_instance_of() to handle interfaces.

1998-06-20 10:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/objects.h: Corrected object layout description.

1998-06-20 08:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/: include/jni.h, include/jniint.h, src/jninativ.c:
	Corrected prototype for UnregisterNatives() to follow JNI spec.

1998-06-20 08:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Typo fixed.

1998-06-19 10:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Reorg.  Moved all non-opcode
	functions to the begin of the file.

1998-06-19 10:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/Makefile.am,
	lib/libruntime/.cvsignore, lib/libruntime/make-opcode-header: Moved
	all opcode info into interpfunc.c.  opcode lookup table is now
	generated from this file.

1998-06-19 01:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/Makefile.am,
	lib/libruntime/make-opcode-header: Cleanup in opcode declarations. 
	Removed opcodes from interp.h, and made the list simpler in
	interploop.c.  Now generates interpfunc.h using perl.  This header
	is included by interploop.c and interpfunc.c.  make-opcode-header
	is a small perl script to generate the new header.

1998-06-18 23:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Throw if malloc/strdup fails in
	create_frame_for_method().

1998-06-18 23:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/objects.h: Cleanup and bugfix.

1998-06-18 21:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Use access macro TOPFRAME().

1998-06-18 21:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Initialize native_func to NULL.

1998-06-18 07:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/: StringTest.java, ThreadTest.java: Added and
	corrected test.

1998-06-15 09:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/: common.c, common.h, fileout.c, objstrm.c,
	random.c: Removed warning.

1998-06-15 09:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/opstack_test.c: Make test link without DLL
	support.

1998-06-15 09:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/strerror.c: Added include to avoid error on implicit
	declaration of snprintf().

1998-06-15 09:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/: monitor_test.c, thread_test.c: Get the tests to link
	without DLL support.

1998-06-10 07:03  Paul Fisher <rao@gnu.org>

	* HACKING: Added JCL blurb.

1998-06-10 06:59  Paul Fisher <rao@gnu.org>

	* README: Updated Kore's URL to reflect the new home.

1998-06-10 06:57  Paul Fisher <rao@gnu.org>

	* README: Remove GVM blurb.  Add JCL info.

1998-06-10 01:56  Paul Reavis <preavis@partnersoft.com>

	* doc/src/faq.texi: Twiddle, twiddle.

1998-06-10 01:51  Paul Reavis <preavis@partnersoft.com>

	* doc/src/: faq.texi, install.texi, tools.texi: Finally added link
	to JCL site at oryxsoft.  Did some other minor touch-up that
	escapes me now.

1998-06-08 00:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Cleanup and bugfix.	More
	logging.

1998-06-08 00:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interploop.c,
	lib/libnative/java.lang/thread.c: Syncronized thread initializing
	for initial system thread and normal threads.

1998-06-07 13:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, include/native-threads.h, arch/threads.c,
	lib/libnative/java.lang/thread.c: Implemented missing thread
	methods.  Now uses private field PrivateInfo in java.lang.Thread.

1998-06-02 10:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/java.exp: Cleanup.

1998-06-02 07:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/primitive-class.c: Removed hardcoded strlen().

1998-06-02 07:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/java.exp: Removed debug stuff.

1998-06-01 21:53  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/java.exp: Split result output on newline, and use
	better string matching (regexp).

1998-05-31 12:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/log.c: Append thread id on every log line.

1998-05-31 11:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/dynamic_loading.h, arch/dynamic_loading.c,
	lib/libjni/src/jniinvoc.c: More Win32 DLL handling.  Moved system
	library error handling from arch to JNI.  Better error handling in
	JNI_CreateJavaVM.

1998-05-31 09:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/compat.h, lib/libruntime/interpfunc.c: Moved fmodf to
	compat.h

1998-05-31 09:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Avoid reading past allocated frame
	stack.

1998-05-30 21:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Corrected object allocation.

1998-05-30 17:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am, arch/strerror.c, include/compat.h,
	lib/libnative/java.net/socket.c: Made replacement function for
	strerror().  Added lots of logging in java.net.

1998-05-30 10:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Handle missing strerror and
	sys_errlist more gracefully.

1998-05-30 10:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Cleanup.

1998-05-30 10:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/LongFieldTest.java: Test for 1, not for 0 in
	long field.

1998-05-30 09:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/objects.c: Mark the spot where object allocation
	fails.

1998-05-29 16:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnistr.c: Make sure to nul terminate C strings
	returned from GetStringUTFChars().  Not sure if this is required,
	but some parts of Japhar expect this to happend.

1998-05-29 09:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libjni/src/jnistr.c, libruntime/opstack_test.c,
	libruntime/msgc.c, libnative/java.io/random.c: Quiet down Insure++.

1998-05-27 22:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnistr.c: Removed useless casts.

1998-05-27 22:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnistr.c: Added the rest of the JNI string
	methods.  Patch from Artur Biesiadowski <abies@pg.gda.pl>.

1998-05-27 10:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Started on Win32 implementation.  I need
	help on this. :-)

1998-05-26 21:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, arch/dynamic_loading.c: Cleanup in ifdef's to
	prepare for windows port.

1998-05-26 16:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitor_test.c: Added benchmark/timer to test.

1998-05-26 16:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Typo.

1998-05-26 16:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Got Win32 threads working.

1998-05-25 06:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/ClazzFile.h, include/interp.h, include/native-threads.h,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c: Removed some unused typedefs, changed
	macro THIS to THISPTR and changed *_PRIORITY to JTHR_*_PRIORITY to
	avoid name conflicts on Windows/Watcom.

1998-05-25 04:00  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: add the signature of the method to
	the stacktrace dump.

1998-05-24 19:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Win32 change.

1998-05-24 18:41  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitors.c: Initial Win32 implementation.

1998-05-24 17:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitors.c: Cleanup.

1998-05-24 15:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Use japhar_key_t when proper.

1998-05-24 15:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: First try on Win32 thread support.

1998-05-24 14:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h, configure.in: Check for Win32 threads (CreateThread).

1998-05-21 22:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Remove warning.

1998-05-21 22:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/: Makefile.am, common.c, common.h,
	fileout.c, objistrm.c, random.c: Removed some warnings.

1998-05-21 20:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/exceptions.h, lib/libjni/src/jnithrow.c: Removed
	warnings.

1998-05-21 20:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: exceptions.c, sig.c: Removed unused variables.

1998-05-21 20:08  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Adding missing include.

1998-05-21 19:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/: jnifield.c, jnimeth.c, jnisfld.c, jnismeth.c:
	Added string.h to get prototypes.

1998-05-21 19:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Found sched_yield on -lposix4 on Solaris.  Now
	check for it there.

1998-05-21 19:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/sig.c: Include compat.h for snprintf declaration.

1998-05-21 19:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h: More compat stuff.

1998-05-21 18:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Rewrote extract macros to inline
	functions to avoid using ntohs and ntohl.

1998-05-21 18:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am, arch/signals.c, include/signals.h,
	lib/libruntime/abort.c, lib/libjni/src/jniinvoc.c: Moved UNIX
	signal handling into arch/.

1998-05-21 17:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h: Check for dirent.h, and use naive
	replacement if both scandir and dirent.h is missing.

1998-05-21 16:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h: Check for strcmp - missing on
	Watcom 11.

1998-05-21 16:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/compat.h: Check for strdup and sleep -
	missing on Watcom 11.

1998-05-21 13:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjvmdi/include/jvmdi.h: Typo fixed.

1998-05-21 08:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/src/faq.texi: Corrected URL to FAQ.  Always remember trailing
	slash.

1998-05-20 17:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: Changed get_next_byte to get_next_u1
	to reflect the correct return type.

1998-05-19 23:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: Made wide opcode flag part of
	StackFrame.

1998-05-19 22:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/compat.h: Add needed includes for Solaris.

1998-05-19 22:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h: Remove unused wide_vindex2.

1998-05-19 22:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c, include/compat.h, lib/libruntime/classpath.c,
	include/Makefile.am: New header with definitions of the substitute
	funcionts from arch/.

1998-05-19 10:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitors.c: Reinserted the 'return 0' statements after the
	new asserts on ownership.

1998-05-18 16:03  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnithrow.c: Clean up ExceptionDescribe, and make
	it just call the toplevel_exception_handler.

1998-05-18 16:01  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: Fix toplevel_exception_handler so it
	only has parameters for the things it needs to have them for

1998-05-18 10:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c: wrap an fprintf in #ifdef DEBUG, and
	also don't do an lseek and a read if we've mmaped the
	central_directory.

1998-05-18 10:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Call initializeSystemClass if it's
	there, after printing out a message expressing my utter dismay at
	sun's shoddy releases.	I cannot *wait* for a freely available
	classes.zip that we can package up with japhar.

1998-05-18 09:55  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: clean up the ifdefs a bit, and assert that the
	current thread is the monitor owner instead of just returning. 
	this is an error, and we want to know about it.

1998-05-18 09:54  Christoph Toshok <toshok@hungry.com>

	* doc/src/tools.texi: reflect change in command line arguments

1998-05-18 09:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/Makefile.am, java.lang/Makefile.am,
	java.lang.reflect/Makefile.am, java.net/Makefile.am,
	java.util/Makefile.am, java.util.zip/Makefile.am,
	sun.awt.motif/Makefile.am, sun.debug.agent/Makefile.am,
	sysresource/Makefile.am: Use the new command line syntax for
	japharh

1998-05-18 09:52  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurb about the obj rep. fix, and about japharh using
	getopt.

1998-05-18 09:47  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/: Makefile.am, japharh.c: Make japharh use the
	getopt stuff.

1998-05-16 16:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Changed printf to JAVARLOG.

1998-05-16 15:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/.cvsignore: Ignore monitor_test.

1998-05-16 15:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Cleanup.

1998-05-15 09:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: A better guess on the versioning
	stuff.

1998-05-15 01:30  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: reformat comment.

1998-05-15 01:29  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: Only stat the file if we're not profiling
	and they have dll's.  in the other case, there are no files.

1998-05-15 01:09  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, arch/monitor_test.c, arch/monitors.c,
	arch/scandir.c, arch/snprintf.c, arch/thread_test.c,
	arch/threads.c, include/ClazzFile.h, include/array-class.h,
	include/arrays.h, include/class-repository.h, include/classpath.h,
	include/dynamic_loading.h, include/exceptions.h, include/gc.h,
	include/interp.h, include/log.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/primitive-class.h,
	include/qop.h, include/resolve.h, include/sig.h,
	lib/libruntime/abort.c, lib/libruntime/array-class.c,
	lib/libruntime/arrays.c, lib/libruntime/class-repository.c,
	lib/libruntime/classpath.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/log.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/primitive-class.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/include/jnitypes.h.in, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	lib/libjvmdi/include/jvmdi.h, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/jvmdi.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objistrm.c,
	lib/libnative/java.io/objostrm.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/string.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/netStubs.c,
	lib/libnative/java.net/socket.c, lib/libnative/java.net/sockin.c,
	lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c, maintain/reformat.el:
	change the license foo.  it should be Free Software Foundation, not
	Free Foundation

1998-05-15 00:16  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: change log spew to match function.

1998-05-14 16:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/zipfile.h: Leftover.

1998-05-14 16:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: Added hack to handle different .zip
	files with or without +4 offset.

1998-05-14 16:26  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: For stored .class files, use the same
	skip value when mmap'ing and when copying.

1998-05-14 16:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Changed error message with old
	classes.zip.

1998-05-14 15:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Set ClazzFile->class_name as soon as
	possible to be able use it in error messages during parsing.

1998-05-14 10:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Added warning if method
	initializeSystemClass is found.

1998-05-14 07:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: arrays.c, objects.c: Make sure these compile
	even with logging enabled.

1998-05-14 07:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/SyncronizedTest.java: Cleaning.

1998-05-12 23:45  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Make AWT monitor unnamed.

1998-05-12 21:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Use sched_yield before pthread_yield if both are
	available.  The first is part of the POSIX standard.  The latter is
	only used in the draft.

1998-05-12 21:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/monitors.c: Implemented MONITOR_timedWait() for NSPR and
	PThreads.

1998-05-12 21:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ByteTest.java: More informative messages.

1998-05-12 21:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/Makefile.am, arch/monitor_test.c, arch/monitors.c,
	arch/thread_test.c, include/native-threads.h,
	lib/libjni/src/jniinvoc.c, lib/libnative/java.lang/object.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c: Monitor
	cleanup and fix.  Removed named monitors handling.

1998-05-12 20:43  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Avoid memory leak when something
	goes wrong in initialize_system_threads().

1998-05-12 11:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Mark the spot where you die! (asserts).

1998-05-12 11:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Log monitor opcodes.

1998-05-12 11:22  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/class-repository.c: remove empty (and uncalled)
	method 'output_class_repository'

1998-05-12 11:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objistrm.c: fake an implementation of
	loadClass0

1998-05-12 10:05  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c, include/ClazzFile.h, include/arrays.h,
	include/exceptions.h, include/interp.h, include/objects.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jniref.c, lib/libjni/src/jnisfld.c,
	lib/libjvmdi/src/jvmdi.c, lib/libnative/java.io/common.c,
	lib/libnative/java.lang/class.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/system.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/primitive-class.c:
	whacking the new object representation into the tree

1998-05-12 09:58  Christoph Toshok <toshok@hungry.com>

	* include/zipfile.h, lib/libruntime/zextract.c,
	lib/libruntime/resolve.c, lib/libnative/sysresource/sysresources.c:
	Add a parameter to know whether we've malloced or mmap'ed a zipfile
	entry and use it. also, get the zipfile stuff using mmap if it's
	available.

1998-05-12 09:53  Christoph Toshok <toshok@hungry.com>

	* configure.in: only disable static if profiling is off

1998-05-12 09:42  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/: include/jni.h, src/jnivtbl.c: Add the
	Set*ArrayRegion calls, which mysteriously were never made a part of
	the vtable :)

1998-05-12 01:00  Paul Reavis <preavis@partnersoft.com>

	* doc/src/: faq.texi, install.texi: Added in classes.zip failure
	mode.  Added in Petter's current test results.

1998-05-09 14:17  Christoph Toshok <toshok@hungry.com>

	* NEWS: add blurb about getopt'ing dump-class

1998-05-09 13:47  Christoph Toshok <toshok@hungry.com>

	* doc/src/tools.texi: update tools.texi to track the change to the
	command line parameters for dump-class (we use --ascii and --html
	now, instead of -txt and -html)

1998-05-09 13:46  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/: Makefile.am, dump-class.c, output.c: switch to
	using getopt for the command line parsing stuff.

1998-05-09 13:06  Christoph Toshok <toshok@hungry.com>

	* doc/src/Makefile.am: Add dependencies on the other texi files,
	and add them to the dist.

1998-05-09 13:01  Christoph Toshok <toshok@hungry.com>

	* doc/src/faq.texi: ran all the paragraphs through M-x
	fit-paragraph (looks better in 80 columns now :) and added a
	section/subsection about running japhar with a 1.1.3 classes.zip
	file.

1998-05-09 12:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ArrayTest.java: Output intermediate values on
	success and failure.

1998-05-09 12:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: Added timer to make sure the tests
	terminates.

1998-05-09 12:54  Christoph Toshok <toshok@hungry.com>

	* doc/Makefile.am: Don't list maintain since it doesn't have a
	Makefile.am of it's own

1998-05-09 12:53  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add doc/Makefile to the configure.in

1998-05-09 12:41  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Bugfixes and cleanup in opcode
	handling.

1998-05-09 12:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/op_stack.c: Log bitpatternd when pushing and
	popping double_w.

1998-05-09 01:22  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: stop allocating our pthread_t*.  if this breaks
	someone, lemme know.

1998-05-08 18:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/file.c: Trigger isAbsolute bug on Solaris.

1998-05-08 18:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnifield.c: Reformatted the GETSET_FIELD macro.

1998-05-08 17:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/log.c: printf(%s, NULL) is illegal.  Rewrote to
	avoid this.

1998-05-08 11:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/double.c: Added debug output for
	java.lang.Double.

1998-05-08 10:06  Christoph Toshok <toshok@hungry.com>

	* include/exceptions.h, lib/libjni/src/jnithrow.c,
	lib/libnative/java.lang/classloader.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c: plug some more memory leaks.  now jar
	should run and print a usage message with leaking a single byte 
	(well, except for the java objects that we don't garbage collect...
	:)

1998-05-08 09:41  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/primitive-class.c: remove memory leak from
	primitive-class creation.  cut & pasted from array-class.c

1998-05-08 09:15  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: plug memory leak when creating
	libname

1998-05-08 09:11  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/runtime.c: allocate the libname buffer to
	the right size.  gets rid of ABW/ABR's in purify

1998-05-08 09:06  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c: reinstate the + 4 that I accidentally
	removed.

1998-05-08 09:02  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: move the calloc after the magic number
	test so we don't leak if the magic is wrong.

1998-05-08 08:44  Christoph Toshok <toshok@hungry.com>

	* lib/: libjni/src/jniclass.c, libruntime/array-class.c,
	libruntime/classpath.c, libruntime/interploop.c,
	libruntime/zextract.c: plug some more memory leaks that purify
	found.

1998-05-08 02:22  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: stat the lib_path before we try to load
	it.  this way, we don't get icky purify warning about bad
	parameters.

1998-05-08 02:20  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: initialize
	THIS(initial_native_frame) to get rid of a UMR

1998-05-08 02:17  Christoph Toshok <toshok@hungry.com>

	* arch/scandir.c: purify fix.  fix ABW/ABR

1998-05-08 00:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/CastTest.java: Test int->float->int cast.

1998-05-07 23:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/CastTest.java: Cleanup in output.

1998-05-07 15:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Corrected op_bastore(),
	op_castore(), op_saload() and op_sastore() to store ints on operand
	stack.

1998-05-07 08:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/: .cvsignore, src/.cvsignore: Ignore generated files.

1998-05-07 08:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* doc/Makefile.am: Added doc/ topdir makefile.

1998-05-07 05:23  Paul Reavis <preavis@partnersoft.com>

	* configure.in, doc/src/Makefile.am, doc/src/faq.texi,
	doc/src/install.texi, doc/src/japhar.texi, doc/src/tools.texi:
	First entry of doc tree-
	
	Fleshed out tools section.
	
	Added install section; included my install problem as seed
	material.
	
	Added a Makefile.am and inserted entry into configure.in for
	installation's sake.

1998-05-06 14:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ArrayTest.java: Added test for array of
	booleans.

1998-05-06 10:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/ArrayTest.java: Now tests static array
	initializing.

1998-05-05 20:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interploop.c, op_stack.c: Added error handling
	in initialize_system_threads().

1998-05-05 19:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Bugfix.  Stop allocating zero length
	buffers for strings.

1998-05-05 19:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, acconfig.h, NEWS: Added dmalloc support and better
	comment about the JDK stuff.

1998-05-04 22:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jniarray.c: Changed GetCharArrayElements() to
	return the original string every time if array length is less the 1
	(i.e. 0).

1998-05-04 21:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnimeth.c: Allocate 'jvalue param[num_params]',
	not 'jvalue *param[num_params]'.

1998-05-04 17:29  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/: jnimeth.c, jnismeth.c: Only calloc params if
	number of params > 0.  Now CallJavaMethod() might get called with
	args==NULL.

1998-05-04 15:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/op_stack.h, lib/libruntime/op_stack.c,
	lib/libruntime/interpfunc.c: Changed the return type and name of
	promote_to_int() to promote_to_jint() to make sure that we use a
	32bit value all the way.

1998-05-04 15:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/op_stack.c: Bugfix.  op_stack_allocate should
	allocate sizeof(OpStack), not sizeof(OpStack*).

1998-05-01 22:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: Added some notes about the +4 hack.

1998-04-30 08:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/SyncronizedTest.java: Test if syncronized
	works.

1998-04-29 00:04  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: should be
	java/net/SocketImpl.localport, not
	java/net/PlainSocketImpl.localport in
	java.net.PlainSocketImpl.socketBind()

1998-04-28 09:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/double.c: Bugfix (casting error) in
	Double.valueOf0().

1998-04-28 08:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/compiler.c: Corrected param list for
	compileClass.

1998-04-28 06:32  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: Makefile.am, ioStubs.c, objistrm.c,
	objostrm.c, _stubs/java_io_FileDescriptor_stubs.c,
	_stubs/java_io_FileInputStream_stubs.c,
	_stubs/java_io_FileOutputStream_stubs.c,
	_stubs/java_io_File_stubs.c,
	_stubs/java_io_ObjectInputStream_stubs.c,
	_stubs/java_io_ObjectOutputStream_stubs.c,
	_stubs/java_io_ObjectStreamClass_stubs.c,
	_stubs/java_io_RandomAccessFile_stubs.c: Add native methods for
	java.io.ObjectInputStream and java.io.ObjectOutputStream.

1998-04-27 22:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japhar/japhar.c, lib/libjni/src/jniinvoc.c: Propagate
	command line properties to the JVM.  Currently unhandled.

1998-04-27 07:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Only require --with-sun-jni once, and test if
	classes.zip exist there before trying to copy anything.

1998-04-26 23:42  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/system.c: Add property java.compiler if
	NULL != getenv("JAVA_COMPILER").

1998-04-24 09:50  Alexandre Oliva <oliva@dcc.unicamp.br>

	* configure.in: link underscore-needed test program with $LIBS for
	dlopen()

1998-04-23 10:52  Christoph Toshok <toshok@hungry.com>

	* NEWS, configure.in: add entry for 0.05 to the NEWS file, and
	change the version in configure.in

1998-04-23 10:50  Christoph Toshok <toshok@hungry.com>

	* INSTALL: Add blurb about --with-sun-jdk into INSTALL

1998-04-23 09:47  Alexandre Oliva <oliva@dcc.unicamp.br>

	* configure.in, lib/libnative/java.net/socket.c: use sys_errlist
	only if strerror() is not available

1998-04-23 09:30  Christoph Toshok <toshok@hungry.com>

	* NEWS: add release date for 0.04

1998-04-23 09:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Workaround for missing
	sys_errlist.  Use "" instead. :-)

1998-04-23 09:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h, configure.in: Added check for sys_errlist[].

1998-04-23 07:09  Christoph Toshok <toshok@hungry.com>

	* Makefile.am, lib/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/zlib/Makefile.am: Make changes necessary for 'gmake dist' to
	create a buildable distribution.

1998-04-23 07:00  Alexandre Oliva <oliva@dcc.unicamp.br>

	* configure.in, lib/libruntime/interpfunc.c,
	progs/dump-class/Makefile.am, progs/japhar/Makefile.am,
	progs/japhard/Makefile.am, progs/japharh/Makefile.am: do not assume
	libm and fmodf exist

1998-04-23 05:08  Christoph Toshok <toshok@hungry.com>

	* include/.cvsignore, lib/libjni/include/.cvsignore: add stamp-h*
	to the .cvsignore files

1998-04-23 05:04  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurb about LGPL switch and the removal of sun's files

1998-04-23 05:03  Christoph Toshok <toshok@hungry.com>

	* configure.in: update version to 0.04

1998-04-23 01:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c: Free the input buffer after inflating.
	 this bug probably accounted for the incredible memory usage when
	we had a compressed .jar file.	Also, for some reason if the
	entries aren't compressed, the filestart is 4 bytes off.  so, we
	completely hack and add 4... foo.

1998-04-23 00:20  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, arch/scandir.c, arch/snprintf.c,
	arch/thread_test.c, arch/threads.c, include/ClazzFile.h,
	include/array-class.h, include/arrays.h,
	include/class-repository.h, include/classpath.h,
	include/dynamic_loading.h, include/exceptions.h, include/gc.h,
	include/interp.h, include/log.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/primitive-class.h,
	include/qop.h, include/resolve.h, include/sig.h, include/zipfile.h,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnimon.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jniref.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjni/src/jnivm.c,
	lib/libjni/src/jnivtbl.c, lib/libjni/tests/foo.c,
	lib/libjvmdi/include/jvmdi.h, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/jvmdi.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/string.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang/_stubs/java_lang_String_stubs.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/netStubs.c,
	lib/libnative/java.net/socket.c, lib/libnative/java.net/sockin.c,
	lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/getopt.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/log.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/primitive-class.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c,
	maintain/reformat-entire-tree.sh, maintain/reformat.el,
	testsuite/java.lang/FloatingDecimalTest.java: throw the big switch.
	 LGPL all the libraries. and leave the programs GPL'ed.

1998-04-22 23:28  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sysresource/Makefile.am, classes/Makefile.am:
	classes.jar -> classes.zip

1998-04-22 23:27  Christoph Toshok <toshok@hungry.com>

	* configure.in: slurp the classes.zip and property files from an
	existing jdk1.1.5 directory.

1998-04-22 23:27  Christoph Toshok <toshok@hungry.com>

	* classes/.cvsignore, props/.cvsignore: ignore all the files we
	copy into the tree

1998-04-21 02:58  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/method.c: At least we don't crash now when we
	see a wide instruction.  the handling of it could be cleaned up a
	bit, though.

1998-04-21 02:04  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/japharh.c: remove the utility functions from here,
	since they're in clparse.c now.  also, dots_to_bars ->
	dots_to_underscores.

1998-04-21 02:03  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/header.c: slashes_to_bars -> slashes_to_underscores

1998-04-21 02:03  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Add comment about the fact that
	wide_vindex_set needs to be thread specific (probably in the
	JThreadInfo), and implement op_drem.  Also, change the op_frem to
	use fmodf instead of fmod.

1998-04-21 02:02  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: sig.c, nativeglue.c: call the name conversion
	functions instead of having a million duplicate loops.

1998-04-21 02:00  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: set the array class's access_flags
	properly

1998-04-21 01:59  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/.cvsignore: Add opstack_test to .cvsignore

1998-04-21 01:58  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: fix the Class.getPrimitive
	stuff.

1998-04-21 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Add utility functions to convert from
	slashes to dots to underscores

1998-04-21 01:55  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h: Add ACC_PRIMITIVE to check for primitive
	classes, and add prototypes for utility functions that convert
	names from slashes to dots to underscores

1998-04-21 01:54  Christoph Toshok <toshok@hungry.com>

	* include/: Makefile.am, primitive-class.h: add header for
	primitive classes

1998-04-21 01:52  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, primitive-class.c: Add handling for
	primitive classes.

1998-04-21 01:39  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/ByteTest.java: add test for newInstance on
	Byte.TYPE

1998-04-21 01:05  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/CastTest.java: catch exceptions and fail. 
	that way, we run through all the CastTest tests.

1998-04-21 00:10  Christoph Toshok <toshok@hungry.com>

	* Makefile.am: build arch before lib so that the opstack_test will
	get build properly.

1998-04-21 00:10  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, opstack_test.c: Add a simple
	opstack test program.  doubles appear to work fine.

1998-04-20 00:26  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/log.h: Added debug mackro JAVARLOG7.

1998-04-20 00:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Fixed UDP sending and receiving.

1998-04-19 11:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: HP/UX 10.20 have pthread_create in libcma.  Now
	looks there too.

1998-04-19 08:12  Alexandre Oliva <oliva@dcc.unicamp.br>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: ensure proper timing with wait/notify
	and join

1998-04-19 07:31  Alexandre Oliva <oliva@dcc.unicamp.br>

	* testsuite/: Makefile.am, lib/java.exp: obtain JAVA and JAVAC from
	runtest command-line, not from environment

1998-04-19 06:00  Alexandre Oliva <oliva@dcc.unicamp.br>

	* testsuite/Makefile.am: the previous check: target overrider would
	not allow checks from a separate build tree.  I've removed this
	overrider target, and provided a work-around for setting JAVA and
	JAVAC by defining variable EXPECT to redefine JAVA and JAVAC.

1998-04-19 00:07  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: get rid of the SIGFPE when popping
	doubles

1998-04-18 19:39  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/CastTest.java: Change to try doing a double
	-> double cast and it fails currently.

1998-04-18 17:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/: DatagramSocketSendReceiveTest.java,
	SocketSendReceiveTest.java: Added sleep to make sure receiver is
	ready when sender starts.

1998-04-18 17:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/CastTest.java: Test casts between long,
	float, double, etc.  Currently most fails.

1998-04-18 16:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Corrected wide opcode handling.

1998-04-18 14:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: Moved op_nop and op_wide to
	interfunc.c to get consistent logging of all opcodes.

1998-04-18 14:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/FloatingDecimalTest.java: Trigger another bug
	too.

1998-04-18 13:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Typo.

1998-04-18 13:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Added wide handling to op_ret.

1998-04-18 13:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Bugfix in op_lastore().	Someone
	forgot to extract the array body pointer.

1998-04-18 11:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.lang/FloatingDecimalTest.java: Added test on
	converting double to String.  Currently fails, but I'm working on
	it.

1998-04-18 00:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Got UDP receive going. 
	Something seems wrong about the port numbers...

1998-04-17 20:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/exceptions.h, lib/libruntime/exceptions.c: Made
	throw_Exception() params const.

1998-04-17 19:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Less logging.

1998-04-17 10:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/: addr.c, socket.c: UDP send now works. 
	More to do on receiving.

1998-04-17 05:09  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/BooleanTest.java: reorganized class for
	better maintenance.

1998-04-17 04:34  Alexandre Oliva <oliva@dcc.unicamp.br>

	* lib/Makefile.am, lib/libnative/java.util.zip/Makefile.am,
	lib/libruntime/Makefile.am, progs/dump-class/Makefile.am,
	progs/japhar/Makefile.am, progs/japharh/Makefile.am: fix use of
	embedded zlib

1998-04-17 04:34  Alexandre Oliva <oliva@dcc.unicamp.br>

	* configure.in: updated test for underscore on symbols (should work
	on Solaris now)

1998-04-17 04:13  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/ByteTest.java: Tests for java.lang.Byte, more
	new bugs to fix.

1998-04-17 02:46  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/BooleanTest.java: Implemented multiple PASS
	changes suggested by Petter

1998-04-17 01:37  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/BooleanTest.java: I'm trying to get more test
	cases into the testsuite.  This one fails because of
	Class.getName() at the moment.	Couldn't think of another way to
	check Boolean.TYPE other than
	Boolean.TYPE.getName().equals("boolean") (to put it simply).

1998-04-16 21:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Implemented some more.

1998-04-16 21:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Added info on the anonyous CVS repository.

1998-04-16 21:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/: addr.c, sockin.c, sockout.c: Use
	throw_Exception().

1998-04-16 21:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/SocketSendReceiveTest.java: Test TCP sending
	and receiving using two threads.

1998-04-16 20:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/DatagramSocketSendReceiveTest.java: Rewrote to
	make sure it terminates even when sending fails.

1998-04-16 19:50  Paul Fisher <rao@gnu.org>

	* HACKING: Add Paul Reavis info, since he's starting work on the
	documentation.	Fix typo.

1998-04-16 19:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Implemented
	PlainSocketImpl.socketAccept.  Untested but runs.

1998-04-16 08:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/system.c: Removed useless logging in
	currentTimeMillis.

1998-04-15 18:08  Brian Jones <brian@hungry.com>

	* testsuite/java.lang/OutOfMemoryErrorTest.java: Under JavaSoft's
	VM they arbitarily limit the amount of memory a Java application
	can use (though this can be overridden).  The point here is to
	check to see whether or not an application being run by Japhar will
	ever get the OutOfMemoryError or when resources are scarce.

1998-04-15 14:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/DatagramSocketSendReceiveTest.java: Corrected
	test.  Now works on JDK 1.1.3.

1998-04-15 10:01  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/DatagramSocketSendReceiveTest.java: Added test
	for UDP send/receive.

1998-04-15 09:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Implemented
	PlainDatagramSocketImpl.receive().  Completely untested, but runs.
	:-)

1998-04-15 07:57  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/.cvsignore: Added jnitypes.h to ignore list.

1998-04-15 07:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: add comment about something that
	should be VM specific, not global.

1998-04-15 07:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: fix compile

1998-04-15 07:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.io/IsAbsoluteTest.java: Test if isAbsolute
	recognize a non-absolute path too.

1998-04-15 07:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* HACKING: Added Solaris to list of working platforms.

1998-04-15 07:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/file.c: Rewrote File.isAbsolute() to
	(hopefully) work on any platform.

1998-04-15 07:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.net/.cvsignore: Ignore *.clas.

1998-04-15 06:50  Christoph Toshok <toshok@hungry.com>

	* NEWS: mention the (*env)->Function change

1998-04-15 06:43  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c, arch/threads.c, lib/libjni/include/jni.h,
	lib/libjni/include/jniint.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjvmdi/src/jvmdi.c,
	lib/libnative/java.io/common.c, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/string.c,
	lib/libnative/java.lang/system.c, lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sysresource/sysresources.c, lib/libruntime/abort.c,
	lib/libruntime/class-repository.c, lib/libruntime/clparse.c,
	lib/libruntime/exceptions.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/printf.c, progs/dump-class/dump-class.c,
	progs/japhar/japhar.c: Making the big switch from (*env->Function)
	to (*env)->Function.  I fully expect this to break something, so
	please let me know if it actually does.  jar and javac still print
	out usage messages, and the test cases still work...

1998-04-15 04:24  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: rework method invocation stuff.	now
	(*env)->Call*Method can call native methods.

1998-04-15 03:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/Makefile.am: Add string.c to the build.

1998-04-15 03:29  Christoph Toshok <toshok@hungry.com>

	* maintain/fixjni.el: typo

1998-04-15 03:13  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.opstack/.cvsignore: ignore .classes

1998-04-14 22:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.io/IsAbsoluteTest.java: Added testcase for
	java.io.File.isAbsolute().

1998-04-14 21:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h: Make room for longer names (size 20->26) in
	opcode_struct.

1998-04-14 21:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Filled in the opcode table up to
	255.

1998-04-14 15:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Rewrote need_underscore test to try main if both
	open and _open is available.

1998-04-14 14:14  Paul Fisher <rao@gnu.org>

	* HACKING: Fix typo. (GTK = GTK+)

1998-04-14 09:54  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Bugfix in op_l2d.  Changed all float
	and double to jfloat and jdouble.  Corrected some casts and did
	some cleanup with op_x2x.

1998-04-14 03:14  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.opstack/LeftBehind.j: make the test case actually
	test for the problem.. sheesh.	also, add some comments

1998-04-14 03:10  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.opstack/LeftBehind.j: Add testcase for items left
	on the stack after a ireturn.

1998-04-14 02:58  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.opstack/execute.exp: get ready to start contriving
	tests for the opstack stuff

1998-04-14 02:55  Christoph Toshok <toshok@hungry.com>

	* testsuite/lib/java.exp: Add jasmin handling here.

1998-04-14 02:23  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: _stubs/java_lang_String_stubs.c,
	langStubs.c, string.c: Add a broken, naive, single-vm solution to
	java.lang.String.intern().  This will eventually need to be
	reworked, but for now, I can run jasmin.

1998-04-13 23:02  Paul Fisher <rao@gnu.org>

	* HACKING: Update email addresses and add info on the mailing list.

1998-04-13 22:59  Paul Fisher <rao@gnu.org>

	* README: Update "Want to Help?" section.  Add info on mailing
	list.

1998-04-13 20:48  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/Makefile.am: Make sure jnitypes.h is installed
	in the same directory as jni.h and jniint.h.

1998-04-13 20:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: create_native_func_name() is thread
	safe.  I must have been very tired when I saw a static in front of
	'char name_buf[1024];'. :-)

1998-04-13 20:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Log every method call on level 4.

1998-04-13 17:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: button.c, canvas.c, common.c,
	common.h, component.c, frame.c, inputthread.c, label.c, toolkit.c:
	some more changes

1998-04-13 16:50  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jnifield.c: return NULL after throwing an
	exception.

1998-04-13 16:14  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/ClassForNameTest.java: Add test for
	Class.forName

1998-04-13 16:03  Christoph Toshok <toshok@hungry.com>

	* lib/zlib/.cvsignore: ignore Makefile.in's

1998-04-13 15:20  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/thread.c: don't use FindClass here -- we
	want to call the run() method of the derived class.

1998-04-13 13:54  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/label.c: Make label stuff spewier.

1998-04-13 13:53  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/menubar.c: change name to match
	editres JDK probing.

1998-04-13 13:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/toolkit.c: MToolkit.run should start
	up the InputThread.

1998-04-13 13:52  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/inputthread.c: We need to hold the
	monitor when we're dispatching the event, but not when we're
	waiting on an event (in select)

1998-04-13 13:51  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: use a MainWindow widget
	instead of a bulletin board, as this is what editres sez the jdk is
	using.	also, make the spew more verbose

1998-04-13 13:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: make the spew a bit more
	verbose

1998-04-13 13:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: Don't try to get the
	default toolkit here, as it get's called from MToolkit.init.

1998-04-13 13:48  Christoph Toshok <toshok@hungry.com>

	* configure.in: If we're not building with debugging on, -DNDEBUG. 
	also, add lib/zlib/Makefile to the list of generated Makefiles.

1998-04-13 13:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: collapse out the SGILineNumber
	attribute special case.

1998-04-13 13:45  Christoph Toshok <toshok@hungry.com>

	* lib/zlib/Makefile.am: add newline at end of file, added a
	comment, and remove the hardcoded libdir

1998-04-13 13:36  Christoph Toshok <toshok@hungry.com>

	* lib/zlib/.cvsignore: change _libs to .libs

1998-04-13 11:47  Christoph Toshok <toshok@hungry.com>

	* HACKING: Remove task about getting threads working, since I fixed
	the bug.

1998-04-13 11:40  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c: Remove some #ifdef DEBUG stuff (since
	it's necessary in the non-debug builds) and implement all the
	remaining opcodes.  This sorta steps on petter's checkin -- sorry
	about that, petter :) -- but since the implementation of the two
	opcodes where we overlap is the same, it doesn't really matter.

1998-04-13 11:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	include/interp.h: Implemented op_l2d(138) and op_d2l(143).

1998-04-13 10:58  Alexandre Oliva <oliva@dcc.unicamp.br>

	* HACKING: automake 1.3 was released a few days ago

1998-04-13 08:28  Paul Fisher <rao@gnu.org>

	* HACKING: Add bytecode verifier to TODO list.

1998-04-13 01:30  Christoph Toshok <toshok@hungry.com>

	* testsuite/java.lang/NewInstanceTest.java: Add test for the
	Class.newInstance() bug

1998-04-12 22:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/op_stack.c: There is no
	java/lang/StackUnderflowError, so throw
	java/lang/VirtualMachineError instead.

1998-04-12 21:30  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: Make java.lang.Class.newInstance
	actually call a constructor.

1998-04-12 12:53  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/: java.lang/.cvsignore, java.sun.awt/.cvsignore,
	java.text/.cvsignore, java.util/.cvsignore: Ignore .class files.

1998-04-10 17:31  Paul Fisher <rao@gnu.org>

	* HACKING: Remove reference to JapharDoc, since it doesn't been to
	be written anymore.

1998-04-10 16:30  Paul Fisher <rao@gnu.org>

	* maintain/fixjni.el: elisp code to change over jni calls.

1998-04-10 16:21  Paul Fisher <rao@gnu.org>

	* maintain/fixjni.sh: Run me to change (*env->foo)() to
	(*env)->foo().

1998-04-09 04:29  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: Update copyright.

1998-04-08 15:58  Alexandre Oliva <oliva@dcc.unicamp.br>

	* lib/libjni/include/Makefile.am: As I had promised before,
	jnitypes.h will be installed in ${libdir}/japhar/include

1998-04-08 15:51  Alexandre Oliva <oliva@dcc.unicamp.br>

	* lib/libjni/include/Makefile.am: install jnitypes.h in
	architecture-dependent include directory

1998-04-08 15:41  Alexandre Oliva <oliva@dcc.unicamp.br>

	* configure.in: rename need_underscore to
	japhar_cv_need_underscore, so that it is cached move
	AC_DEFINE(NEED_UNDERSCORE) to a conditional outside AC_CACHE_CHECK,
	as recommended in the autoconf manual require
	japhar_cv_need_underscore to be defined manually when
	cross-compiling.  we may provide standard definitions on well-known
	platforms.  does anyone disagree?

1998-04-08 15:23  Alexandre Oliva <oliva@dcc.unicamp.br>

	* acinclude.m4, configure.in, arch/Makefile.am, include/.cvsignore,
	include/ClazzFile.h, lib/libjni/include/.cvsignore,
	lib/libjni/include/Makefile.am, lib/libjni/include/jni.h,
	lib/libjni/include/jnitypes.frag, lib/libjni/include/jnitypes.h.in,
	lib/libjvmdi/src/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.net/Makefile.am,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.debug.agent/Makefile.am,
	lib/libnative/sysresource/Makefile.am, lib/libruntime/Makefile.am,
	progs/dump-class/Makefile.am, progs/dump-class/method.c,
	progs/japhar/Makefile.am, progs/japhard/Makefile.am,
	progs/japharh/Makefile.am: created generic jnitypes include-file
	fragment on most (all?) currently supported platforms, insert this
	fragment into jnitypes.h modified all Makefiles that referred to
	lib/libjni/include in the source tree so that they also include the
	same directory in the build tree, for jnitypes.h removed all
	references to u?int[0-9]*_t types; this required a non-java type
	(juint) to be defined, for class-file handling

1998-04-07 12:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: toolkit.c, label.c, fontmetrics.c:
	spew

1998-04-07 12:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: Add spew

1998-04-07 12:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/component.c: clean up the spew.

1998-04-07 12:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/button.c: debug printfs

1998-04-07 12:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: reindent

1998-04-07 12:06  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: sigh, we *really* need a working gc.

1998-04-07 11:59  Christoph Toshok <toshok@hungry.com>

	* configure.in: Add the -R libtool flag for motif libraries. 
	replaces the broken -Wl,-rpath flag

1998-04-07 10:05  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: Oh my god.  the problem that was causing
	threads to not work was a typo -- MONITOR_enter instead of
	MONITOR_exit

1998-04-07 08:57  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, include/interp.h: collapsed all the
	MONITOR_enter and MONITOR_exit calls in
	maybe_{enter,exit}_monitor_for_method, which is called in a couple
	of places.  Also cleaned up which obj_thunk we enter the monitor
	*for*, since we were leaving some monitors unexited (and exiting
	the wrong ones in a couple of places.)

1998-04-07 03:23  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/filein.c: (available): lseek (fd, 0,
	SEEK_CUR) was written as leek (fd, SEEK_CUR, 0). Fixed.  Include
	file.h.

1998-04-07 03:21  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/common.c: Include file.h.

1998-04-07 03:20  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/file.h: Add prototypes for functions in
	common.c, which filein.c needs.

1998-04-06 20:07  Christoph Toshok <toshok@hungry.com>

	* arch/monitors.c: Add an assert to make sure we've actually
	enterred the monitor that we're exiting.

1998-04-06 18:27  Christoph Toshok <toshok@hungry.com>

	* arch/thread_test.c: wrap the printf in MONITOR_enter and
	MONITOR_exit.

1998-04-06 10:28  Alexandre Oliva <oliva@dcc.unicamp.br>

	* include/.cvsignore, lib/libjni/include/.cvsignore: added
	autoheader-generated stamp files

1998-04-06 09:54  Alexandre Oliva <oliva@dcc.unicamp.br>

	* lib/: libjni/src/Makefile.am, libjvmdi/src/Makefile.am,
	libnative/java.io/Makefile.am, libnative/java.lang/Makefile.am,
	libnative/java.lang.reflect/Makefile.am,
	libnative/java.net/Makefile.am, libnative/java.util/Makefile.am,
	libnative/java.util.zip/Makefile.am,
	libnative/sun.awt.motif/Makefile.am,
	libnative/sun.debug.agent/Makefile.am,
	libnative/sysresource/Makefile.am: add -I$(srcdir) where needed for
	build to succeed when srcdir != builddir

1998-04-06 07:18  Christoph Toshok <toshok@hungry.com>

	* lib/Makefile.am: conditionally build in the zlib directory

1998-04-06 07:18  Christoph Toshok <toshok@hungry.com>

	* configure.in: if we can't find zlib, we need to build it.

1998-04-06 07:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Track removal of MONITOR_getForClass

1998-04-05 03:06  Christoph Toshok <toshok@hungry.com>

	* include/native-threads.h, arch/monitors.c: No need for the
	MONITOR_getForClass call anymore

1998-04-05 03:05  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: objects.c, interpfunc.c, interploop.c:
	synchronized static methods are supposed to use the monitor
	associated with the class descriptor (not a ClazzFile*). 
	ClazzFile's still have a monitor, but it's now only used for
	initialization.

1998-04-05 02:53  Christoph Toshok <toshok@hungry.com>

	* configure.in: Remove the -Wl,-rpath,$ac_motif_libraries, as this
	breaks the build on freebsd.

1998-04-04 21:48  Paul Fisher <rao@gnu.org>

	* arch/dynamic_loading.c, arch/monitors.c, arch/scandir.c,
	arch/snprintf.c, arch/thread_test.c, arch/threads.c,
	include/ClazzFile.h, include/array-class.h, include/arrays.h,
	include/class-repository.h, include/classpath.h,
	include/dynamic_loading.h, include/exceptions.h, include/gc.h,
	include/getopt.h, include/interp.h, include/log.h,
	include/native-threads.h, include/objects.h, include/op_stack.h,
	include/qop.h, include/resolve.h, include/sig.h,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/src/jniarray.c, lib/libjni/src/jniclass.c,
	lib/libjni/src/jnifield.c, lib/libjni/src/jniinvoc.c,
	lib/libjni/src/jnimeth.c, lib/libjni/src/jnimon.c,
	lib/libjni/src/jninativ.c, lib/libjni/src/jniobj.c,
	lib/libjni/src/jniref.c, lib/libjni/src/jnisfld.c,
	lib/libjni/src/jnismeth.c, lib/libjni/src/jnistr.c,
	lib/libjni/src/jnithrow.c, lib/libjni/src/jnivm.c,
	lib/libjni/src/jnivtbl.c, lib/libjni/tests/foo.c,
	lib/libjvmdi/include/jvmdi.h, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/jvmdi.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c,
	lib/libnative/java.io/_stubs/java_io_FileDescriptor_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileInputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_FileOutputStream_stubs.c,
	lib/libnative/java.io/_stubs/java_io_File_stubs.c,
	lib/libnative/java.io/_stubs/java_io_ObjectStreamClass_stubs.c,
	lib/libnative/java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Class_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Compiler_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Double_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Float_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Math_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Object_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Runtime_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_SecurityManager_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_System_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Thread_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_Throwable_stubs.c,
	lib/libnative/java.lang/_stubs/java_lang_UNIXProcess_stubs.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Array_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Constructo
	r_stubs.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Field_stub
	s.c,
	lib/libnative/java.lang.reflect/_stubs/java_lang_reflect_Method_stu
	bs.c, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/netStubs.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.net/_stubs/java_net_InetAddressImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_PlainDatagramSocketImpl_stub
	s.c,
	lib/libnative/java.net/_stubs/java_net_PlainSocketImpl_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketInputStream_stubs.c,
	lib/libnative/java.net/_stubs/java_net_SocketOutputStream_stubs.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util/_stubs/java_util_ResourceBundle_stubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Adler32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_CRC32_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Deflater_stubs.c,
	lib/libnative/java.util.zip/_stubs/java_util_zip_Inflater_stubs.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/button.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_InputThread_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MButtonPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCanvasPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxMenuItemP
	eer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MCheckboxPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MChoicePeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MComponentPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MDrawingSurfaceInf
	o_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFileDialogPeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MLabelPeer_stubs.c
	,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuBarPeer_stubs
	.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuPeer_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MPopupMenuPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollPanePeer_st
	ubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollbarPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stub
	s.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextFieldPeer_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MToolkit_stubs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_MWindowPeer_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11FontMetrics_stu
	bs.c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Graphics_stubs.
	c,
	lib/libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Selection_stubs
	.c, lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sun.debug.agent/_stubs/sun_tools_debug_Agent_stubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c,
	lib/libnative/sysresource/_stubs/sun_net_www_protocol_systemresourc
	e_SystemResourceManager_stubs.c, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/getopt.c, lib/libruntime/interpfunc.c,
	lib/libruntime/interploop.c, lib/libruntime/log.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c, lib/libruntime/op_stack.c,
	lib/libruntime/printf.c, lib/libruntime/resolve.c,
	lib/libruntime/sig.c, lib/libruntime/zextract.c,
	progs/dump-class/clazz.c, progs/dump-class/dump-class.c,
	progs/dump-class/dump-class.h, progs/dump-class/field.c,
	progs/dump-class/html.c, progs/dump-class/method.c,
	progs/dump-class/misc.c, progs/dump-class/output.c,
	progs/japhar/japhar.c, progs/japhard/break.c,
	progs/japhard/break.h, progs/japhard/cmd_line.c,
	progs/japhard/cmds.h, progs/japhard/japhard.c,
	progs/japhard/readline/complete.c,
	progs/japhard/readline/display.c, progs/japhard/readline/funmap.c,
	progs/japhard/readline/history.c, progs/japhard/readline/isearch.c,
	progs/japhard/readline/readline.c,
	progs/japhard/readline/readline.h, progs/japhard/readline/rltty.c,
	progs/japhard/readline/signals.c, progs/japhard/readline/tilde.c,
	progs/japharh/header.c, progs/japharh/japharh.c,
	progs/japharh/japharh.h, progs/japharh/stubs.c: The Great
	Reformat(tm)

1998-04-04 21:09  Paul Fisher <rao@gnu.org>

	* maintain/reformat-entire-tree.sh: Does exactly what you'd expect
	it to do.

1998-04-04 20:26  Paul Fisher <rao@gnu.org>

	* maintain/reformat.el: Added japhar-utils elisp package.

1998-04-04 20:20  Paul Fisher <rao@gnu.org>

	* maintain/README: Explain purpose of the new directory.

1998-04-03 13:13  Christoph Toshok <toshok@hungry.com>

	* progs/japharh/japharh.c: paul's changes to the classpath
	machinery broke japharh.  fixed.

1998-04-03 12:39  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurb about NSPR support in NEWS.

1998-04-03 12:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Use THREAD_INFO(f) instead of
	f->thread_info

1998-04-03 12:21  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: make call_java_method static

1998-04-03 10:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Cleanup.  Added comment and error
	handling to create_native_func_name().

1998-04-03 10:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/nativeglue.c: Changed CallJavaMethod() and
	CallStaticJavaMethod() to use a common method call_java_method()
	for setting up calls to interp_loop().

1998-04-03 09:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: In interp_loop(StackFrame*), fetch
	JThreadInfo from Stachframe->thread_info, don't call
	THREAD_getJavaInfo().  It is waste of time and confusing.

1998-04-02 23:58  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Fetch priority from
	Thread.priority instead of hardcoding it to 10.

1998-04-02 23:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/thread.c: Throw imediately if allocation
	of JThreadInfo fails.

1998-04-02 09:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* acconfig.h: Copied defines from jnitypes.h to keep autoheader
	happy.	Seem like i _have_ to upgrade my automake.

1998-04-02 05:18  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.lang/system.c: (initProperties):
	java.class.path is now set to the VM's actual classpath.

1998-04-02 00:34  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/: jni.h, jnitypes.h.in: Moved arch-dependent
	typedefs from jni.h to jnitypes.h.  It is generated from configure.

1998-04-02 00:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, acinclude.m4: Cleanup in configure.in based on
	patch from Alexandre Oliva.  Moved macro defs to acinclude.m4.

1998-04-02 00:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Only free namelist if it is non-NULL.

1998-04-01 18:27  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Implemented socketAvailable
	after Kaffe 0.10.0.

1998-04-01 10:46  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/menuitem.c: M-x indent buffer

1998-04-01 10:45  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/toolkit.c: reindent, and add a
	printf.

1998-04-01 10:21  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, button.c: Add native
	methods for sun.awt.motif.MButtonPeer

1998-04-01 10:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Added -Wl,-rpath,<path_to_motif_lib> to X_LIBS.  It
	should be made compatible with libtool.

1998-04-01 10:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: remove a bogus assert, since
	it's tripped in the case where src and dest are compatible but not
	identical classes.  need to read the javadoc entry for this
	function and fill in all the checking.

1998-04-01 10:03  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/frame.c: call XtCreateWidget, not
	XtVaCreateWidget.

1998-04-01 10:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: Don't use GetObjectClass to
	get menuitem_class, since we can (and do) pass subclasses to these
	methods.

1998-04-01 09:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Removed ifdef around pthread_detach().

1998-04-01 09:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.util.zip/Makefile.am: Correct position of -lz.
	 Still skipped during linking.

1998-04-01 09:34  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c: fix method
	resolution bug, so we can look up different methods (static,
	nonvirtual, and virtual) and cache information that will help in
	further (perhaps different) lookups

1998-04-01 09:33  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: plug a memory leak

1998-04-01 09:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Correct variable used in in logging.

1998-04-01 08:51  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniinvoc.c: Make sure we exit the vm's monitor

1998-04-01 08:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.sun.awt/FrameMenuTest.java: Test AWT menus too.

1998-04-01 08:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.sun.awt/: FrameTest.java, execute.exp: Simple AWT
	Frame test.  Currently fails.

1998-04-01 07:35  Paul Fisher <rao@gnu.org>

	* lib/libjni/src/jniinvoc.c: (JNI_GetDefaultJavaVMInitArgs): Fix
	args->classpath initialization.

1998-04-01 07:31  Paul Fisher <rao@gnu.org>

	* lib/libruntime/classpath.c: (CLASSPATH_create): No longer call
	CLASSPATH_getSystemClasspath and all the code associated with it. 
	This is not the place to do it.

1998-04-01 07:26  Paul Fisher <rao@gnu.org>

	* lib/libruntime/interploop.c: (initialize_system_threads): Clean
	up handling of case where we can't find java/lang/Thread or
	java/lang/ThreadGroup.	Print a specific error message, and then
	terminate execution.  This code replaces two asserts.

1998-04-01 05:04  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: Added --classpath support.

1998-04-01 04:25  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: (parse_command_line): clean up
	long_options definition.

1998-04-01 03:08  Christoph Toshok <toshok@hungry.com>

	* acconfig.h, configure.in, arch/monitors.c, arch/threads.c: screw
	it.  we're calling an api, we're not bundling their code with ours.
	 Adding calls to NSPR thread/monitor functions, and the
	--enable-nspr configure switch.

1998-04-01 01:22  Brian Jones <brian@hungry.com>

	* README: Centralized information regarding using the testsuite in
	the testsuite/README.  Modified this README to indicate the change.

1998-04-01 01:21  Brian Jones <brian@hungry.com>

	* testsuite/README: Made changes to testsuite/README per Petter's
	comments via email.

1998-04-01 00:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/: common.c, filein.c, random.c: Moved
	read() and readBytes() from random.c to common.c.

1998-04-01 00:12  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/: Makefile.am, common.c, file.c, filein.c,
	fileout.c, random.c: Cleanup.  Start using libruntime's
	throw_Exception().

1998-03-31 23:25  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: plug another memory leak cause by
	old code still hanging around.

1998-03-31 23:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: Change op_tableswitch and
	op_lookupswitch to not malloc and free lists of offsets.  just
	figure it out the offset while consuming bytes.

1998-03-31 19:51  Christoph Toshok <toshok@hungry.com>

	* Makefile.am: It's acconfig.h, not acinclude.h

1998-03-31 19:31  Christoph Toshok <toshok@hungry.com>

	* NEWS: put release date in NEWS

1998-03-31 19:31  Christoph Toshok <toshok@hungry.com>

	* configure.in: bump version up to 0.03

1998-03-31 19:22  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: (parse_command_line): Make getopt_long()
	use POSIX semantics.

1998-03-31 18:15  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Only use alphasort if it is
	available.  Use NULL otherwise as param to scandir().

1998-03-31 18:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c: Typo.

1998-03-31 18:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Added some news and the release date for 0.02.

1998-03-31 16:41  Christoph Toshok <toshok@hungry.com>

	* configure.in, NEWS, lib/Makefile.am: Add libjvmdi to the build
	(and distribution), even though it really doesn't do anything yet.

1998-03-31 16:31  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.debug.agent/Makefile.am: remove the unused (and
	incorrect) INSTALL_DIR flag

1998-03-31 16:10  Christoph Toshok <toshok@hungry.com>

	* NEWS: Added blurb about javac and it's usage message

1998-03-31 16:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sysresource/Makefile.am: change the CLASSZIP path
	to reflect the new prefix stuff i checked in.

1998-03-31 16:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/Makefile.am: INSTALL_DIR needs to be ,
	not /japhar.

1998-03-31 14:32  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurb about libtool-1.2, automake-1.2h, and the opstack
	bug I just fixed

1998-03-31 14:25  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/nativeglue.c: Store off the op_stack's top pointer
	after we've popped off arguments for a method call, and restore
	when we return (but before we push the return value.)
	
	This fixes the install.class problem that paul had.  now it does
	this: toshok@starvation> japhar install Jex 0.99.3 - Self
	Extracting Install Program for Java(tm) (c) 1998, OryxSoft, Inc. 
	All rights reserved.  java/lang/ClassNotFoundException
	(com.oryxsoft.jex.Extract)	   in install.loadClass(pc = 112)  
	      in install.go(pc = 7)	    in install.main(pc = 26)
	
	which I assume is better than before :)
	
	the fix is gross (I mean *really* gross) and makes me want to
	completely rework the method invocation code.  Let me know if this
	checkin results in weird crashes that weren't there before.  the
	testsuite appears to have been unaffected.

1998-03-31 12:02  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c,
	lib/libruntime/objects.c: As an optimization, while we're parsing a
	.class, keep track of whether we've seen a <clinit> method.  this
	way, we don't have to rely on the whole JNI exception mess (which
	causes a lot of java code to execute) when it isn't there.

1998-03-31 11:59  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: set the method field of the
	initial_native_frame so we don't core dump in pop_frame.  this
	still isn't exactly right - we should push and pop two separate
	frames, since each method (we call two) could be synchronized.

1998-03-31 11:35  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: yup, petter.  it was a memory leak
	-- a throwback to when we couldn't directly access arbitrary
	opstack entries... or something.  anyway, we don't need it.

1998-03-31 10:49  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/Makefile.am: no underscore in datadir

1998-03-31 10:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Ifdef'ed a memory leak.	Not sure
	why it was there, but it looked like waste.

1998-03-31 10:17  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/Makefile.am, classes/Makefile.am,
	include/Makefile.am, lib/libjni/include/Makefile.am,
	lib/libjni/src/Makefile.am, lib/libjvmdi/include/Makefile.am,
	lib/libjvmdi/src/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.net/Makefile.am,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.debug.agent/Makefile.am,
	lib/libnative/sysresource/Makefile.am, lib/libruntime/Makefile.am,
	progs/dump-class/Makefile.am, progs/japhar/Makefile.am,
	progs/japhard/readline/Makefile.am, progs/japharh/Makefile.am,
	props/Makefile.am, scripts/Makefile.am, testsuite/Makefile.am:
	Default our prefix to /usr/local/japhar, but let the user override
	it.  also, remove the maintainer mode stuff from configure.in

1998-03-31 03:05  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interpfunc.c,
	lib/libruntime/nativeglue.c: Change the return_value field in
	JThreadInfo to be a JavaStackItem, so we can keep type information
	around for it.

1998-03-31 00:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Removed hardcoded INADDR_ANY.

1998-03-31 00:36  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Release malloced memory.

1998-03-31 00:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Fixed up getHostByAddr().  Now
	throws exception on error.

1998-03-31 00:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Forgot to include assert.h.

1998-03-31 00:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Rewrote
	InetAddressImpl.makeAnyLocalAddress() to insert INADDR_ANY into
	address.

1998-03-30 20:35  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.net/socket.c: (socketGetOption): Remove "Port
	me!" if SO_RCVTIMEO is missing.  Instead, just print "Missing
	SO_RCVTIMEO!".	If SO_RCVTIMEO doesn't exist, there's nothing that
	can be done except to hack your kernel.

1998-03-30 19:43  Brian Jones <brian@hungry.com>

	* testsuite/README: Added some hopefully useful comments in the
	testsuite/README for getting the testsuite to work.

1998-03-30 19:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Don't use scandir from -lucb on Solaris.  It
	appears to be broken.  Use our own instead.

1998-03-30 18:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c: Removed two debug messages.

1998-03-30 18:35  Paul Fisher <rao@gnu.org>

	* INSTALL: Fix export lines by removing spaces around the equals.

1998-03-30 18:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Give warning if we are unable to find
	our .jar files.

1998-03-30 18:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/zextract.c: Check if SEEK_* is defined, and define
	if missing.

1998-03-30 17:13  Paul Fisher <rao@gnu.org>

	* HACKING: Fix typo.

1998-03-30 17:12  Paul Fisher <rao@gnu.org>

	* HACKING: Add "autoheader" to list of items to execute, since we
	need to generate config.h.in these days.

1998-03-30 15:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Crash at the correct place on
	Solaris.  Unable to find java/lang/Thread.

1998-03-30 14:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Link with libucb when available.

1998-03-30 14:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Portability fix.  Stop using 'if ! echo'.

1998-03-30 11:21  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: fix text of exception when object
	reference is null in a virtual method call.

1998-03-30 10:50  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: fix warning -- include exceptions.h

1998-03-30 10:47  Christoph Toshok <toshok@hungry.com>

	* include/.cvsignore: add config.h.in to .cvsignore.

1998-03-30 10:47  Christoph Toshok <toshok@hungry.com>

	* acconfig.h: Add USE_DLL to acconfig.h

1998-03-30 10:46  Christoph Toshok <toshok@hungry.com>

	* include/config.h.in: remove generated file.

1998-03-30 10:34  Christoph Toshok <toshok@hungry.com>

	* HACKING, Makefile.am, configure.in, ltconfig, ltmain.sh,
	arch/.cvsignore, include/config.h.in, lib/libjni/src/.cvsignore,
	lib/libjvmdi/.cvsignore, lib/libjvmdi/include/.cvsignore,
	lib/libjvmdi/src/.cvsignore, lib/libnative/.cvsignore,
	lib/libnative/java.io/.cvsignore,
	lib/libnative/java.lang/.cvsignore,
	lib/libnative/java.lang.reflect/.cvsignore,
	lib/libnative/java.net/.cvsignore,
	lib/libnative/java.util/.cvsignore,
	lib/libnative/java.util.zip/.cvsignore,
	lib/libnative/sun.awt.motif/.cvsignore,
	lib/libnative/sun.debug.agent/.cvsignore,
	lib/libnative/sysresource/.cvsignore, lib/libruntime/.cvsignore,
	progs/dump-class/.cvsignore, progs/japhar/.cvsignore,
	progs/japhard/.cvsignore, progs/japhard/readline/.cvsignore,
	progs/japharh/.cvsignore: include acinclude.h in the dist.

1998-03-30 10:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/exceptions.h: Make function throw_Exception() known.

1998-03-30 10:08  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interpfunc.c, interploop.c, op_stack.c, sig.c:
	Cleanup in exceptino throwing.	Now uses throw_Exception().

1998-03-30 09:50  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: exceptions.c, interpfunc.c, objects.c: Moved
	duplicate function throw_Exception() from objects.c and
	interpfunc.c to exceptions.c

1998-03-30 09:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interpfunc.c: Use static throw_Exception()
	everywhere.  Tell me more when op_invokevirual fails.

1998-03-30 09:03  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.text/SimpleDateFormatTest.java: Added test for
	java.text.SimpleDateFormat.  Currently fails.

1998-03-30 06:48  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/random.c:
	(Java_java_io_RandomAccessFile_open): O_TRUNC should not be set.

1998-03-30 06:47  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/random.c:
	(Java_java_io_RandomAccessFile_write): Write 8 bits, not 32.

1998-03-30 06:09  Paul Fisher <rao@gnu.org>

	* include/Makefile.am: Add getopt.h

1998-03-30 05:25  Paul Fisher <rao@gnu.org>

	* lib/libnative/java.io/random.c:
	(Java_java_io_RandomAccessFile_read): Read byte as unsigned value.

1998-03-30 03:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: throw a NullPointerException if the
	array reference is null in op_arraylength

1998-03-30 03:30  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/exceptions.c: if we don't have linenumbers, print
	out the pc's in an exception trace.

1998-03-30 02:29  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: index instance fields and create the
	static fields before releasing the monitor during class
	initialization.

1998-03-30 00:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/lib/java.exp: Reset CLASSPATH after each iteration.

1998-03-30 00:30  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Handle bogus addresses more
	gracefully.

1998-03-29 18:39  Paul Fisher <rao@gnu.org>

	* lib/libruntime/clparse.c: Make attribute skipping work if DEBUG
	is undefined.

1998-03-29 18:37  Paul Fisher <rao@gnu.org>

	* lib/libruntime/clparse.c: Skip `attribute_length' bytes of `buf',
	if unknown attribute is found.	(JVMS 4.7.1)

1998-03-29 18:16  Paul Fisher <rao@gnu.org>

	* lib/libruntime/clparse.c: Conform to section 4.7.1 of the VM
	spec.  Remove assert()'s from all cases where we find an unknown
	attribute.  Instead, if DEBUG is defined, and we find an unknown
	attribute, we just print a message to stdout.

1998-03-29 14:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Changed type of getsockopt()'s
	5. param from size_t* to int* to avoid warning using Irix native
	compiler.

1998-03-29 14:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/compiler.c: Added comment about
	Java_java_lang_Compiler_initialize()'s functionallity.

1998-03-29 13:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/config.h.in, include/dynamic_loading.h:
	Only define HAVE_DLL if --disable-shared isn't used.

1998-03-29 13:50  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: don't use the exception *name*,
	but the jclass for it, int ThrowNew

1998-03-29 13:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: If we don't find a class,
	eat the exception (if there is one) and throw a
	java/lang/ClassNotFoundException

1998-03-29 13:47  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: handle Deprecated field attribute --
	seen in JDK1.2b3 classes.zip

1998-03-29 13:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/class-repository.c:
	find_class_list_in_repository() might get called before
	initialize_class_repository() if something goes wrong in
	DLL_loadSystemLibraries().  Just return NULL if this happens.

1998-03-29 12:25  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/: sysresource/sysresources.c,
	sun.awt.motif/common.c: Cast const jbyte* to const char* to avoid
	warnings on Irix native compiler.

1998-03-29 12:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Croak if <zlib.h> is missing.

1998-03-29 12:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/: class.c, classloader.c: Cast jbyte* to
	char* to avoid warnings on Irix native compiler.

1998-03-29 07:13  Paul Fisher <rao@gnu.org>

	* AUTHORS: Add myself.

1998-03-29 07:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/classloader.c: Don't call
	ReleaseStringUTFChars this early, since we might use the string as
	the message for an exception.

1998-03-29 03:25  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: fix typo

1998-03-29 03:15  Christoph Toshok <toshok@hungry.com>

	* configure.in: update version to 0.02

1998-03-29 02:13  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: Fix formatting (untabify).

1998-03-29 01:59  Paul Fisher <rao@gnu.org>

	* progs/japhar/japhar.c: (parse_command_line): Change to use GNU
	getopt.  Added --version and --help.  (usage): Update for new
	command line support, and print to stdout.

1998-03-29 01:53  Paul Fisher <rao@gnu.org>

	* lib/libruntime/Makefile.am: Added getopt.c and getopt1.c to
	compile list.

1998-03-29 01:52  Paul Fisher <rao@gnu.org>

	* include/getopt.h: Added getopt.h from GNU libc

1998-03-29 01:52  Paul Fisher <rao@gnu.org>

	* lib/libruntime/getopt1.c: Added getopt1.c from GNU libc (entry
	points)

1998-03-29 01:51  Paul Fisher <rao@gnu.org>

	* lib/libruntime/getopt.c: Added getopt.c from GNU libc

1998-03-29 01:47  Paul Fisher <rao@gnu.org>

	* progs/japhar/Makefile.am: Add -DVERSION to DEFS

1998-03-28 09:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/: interpfunc.c, interploop.c, nativeglue.c,
	objects.c: Removed/clarified some #ifdef's.

1998-03-28 08:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Compile even with missing
	SO_RCVTIMEO.  It seem to be missing in the headers on RedHat 5.0 -
	only mentioned in the docs.

1998-03-28 08:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/system.c, include/config.h.in: Check for
	HAVE_SYS_UTSNAME_H not HAVE_UTSNAME_H.

1998-03-28 07:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/objects.c: remove a useless loop, and check if
	initialization of a class failed with an exception.  if it did,
	don't still attempt to create the object.

1998-03-28 07:28  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: parse (and discard) AbsoluteSourcePath
	class attribute found in the BDK distribution.

1998-03-28 02:07  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/socket.c: hack some of the socketSetOption
	and socketGetOption functions....

1998-03-27 23:19  Christoph Toshok <toshok@hungry.com>

	* NEWS, arch/dynamic_loading.c, arch/monitors.c, arch/scandir.c,
	arch/snprintf.c, arch/threads.c, include/ClazzFile.h,
	include/array-class.h, include/arrays.h,
	include/class-repository.h, include/classpath.h,
	include/dynamic_loading.h, include/exceptions.h, include/gc.h,
	include/interp.h, include/log.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/qop.h,
	include/resolve.h, include/sig.h, lib/libjni/include/jni.h,
	lib/libjni/include/jniint.h, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	lib/libjvmdi/include/jvmdi.h, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/jvmdi.c, lib/libnative/java.io/common.c,
	lib/libnative/java.io/fd.c, lib/libnative/java.io/file.c,
	lib/libnative/java.io/filein.c, lib/libnative/java.io/fileout.c,
	lib/libnative/java.io/ioStubs.c, lib/libnative/java.io/objstrm.c,
	lib/libnative/java.io/random.c, lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/addr.c, lib/libnative/java.net/netStubs.c,
	lib/libnative/java.net/socket.c, lib/libnative/java.net/sockin.c,
	lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/log.c, lib/libruntime/msgc.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/op_stack.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c: Woohoo!  Back to
	the GPL we go (at lease temporarily)

1998-03-27 01:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/clparse.c: Limit the difference between mmap and
	fread version of load_class_file().

1998-03-27 00:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/java.util/SimpleTimeZoneTest.java: Test if new
	SimpleTimeZone(0, "GMT") works.  Currently fails.

1998-03-26 09:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jni.h: Added typedefs for HP/UX 9.05.

1998-03-26 00:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Typo.

1998-03-26 00:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/config.h.in: Check for headerfiles;
	sgidefs.h sys/types.h stdarg.h.

1998-03-25 21:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Report zlib homepage if it is missing.

1998-03-25 21:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* HACKING: The clean room implementation of the core Java classes
	should be written in Java, not C.

1998-03-25 14:17  Paul Fisher <rao@gnu.org>

	* HACKING: Removed Alpha/Linux from working ports.  Added clean
	room core Java classes implementation to the tasks list.

1998-03-25 11:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Use thr_yield if available.  The thread yield
	handling should be rewritten.

1998-03-25 11:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/config.h.in: Check for thr_yield too.

1998-03-25 11:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c: Now it should work on Solaris.

1998-03-25 11:06  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/scandir.c: Cleanup.

1998-03-25 10:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/: Makefile.am, scandir.c: Added scandir() hack for Solaris. 
	Not sure if it works.

1998-03-25 10:46  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Bugfix.  Now jar_or_zip_select()
	selects .zip files too.

1998-03-25 09:08  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: component.c, fontmetrics.c,
	frame.c, label.c: Added 'stub' to every printf line.

1998-03-25 02:03  Christoph Toshok <toshok@hungry.com>

	* NEWS: remove line about jvmdi, since we don't distribute it yet.

1998-03-25 02:00  Christoph Toshok <toshok@hungry.com>

	* NEWS: Added line about GetObjectClass, and changed wording of awt
	news.

1998-03-25 01:57  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/common.c: Use the right class for
	get_component_widget and set_component_widget

1998-03-25 01:30  Paul Fisher <rao@gnu.org>

	* HACKING: Added task list.

1998-03-24 16:21  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/include/jni.h: Handle FreeBSD types too.  The typedef
	handling should be rewritten to not use hardcoded OS names.

1998-03-24 11:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* NEWS: Read thru commit messages, and added more news.

1998-03-24 11:17  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Removed some blank lines in configure's output. 
	Result caching still  don't seem to work.

1998-03-24 11:09  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Changed underscore test to use underscore if both
	open and _open exists.

1998-03-24 10:18  Christoph Toshok <toshok@hungry.com>

	* HACKING: update the HACKING file to suggest libtool 1.1.  1.0c or
	greater might actually work, but I'd rather not field problems from
	people having an older version than I do.

1998-03-24 10:17  Christoph Toshok <toshok@hungry.com>

	* COPYING.LIB, Makefile.am, arch/Makefile.am,
	arch/dynamic_loading.c, arch/monitors.c, arch/snprintf.c,
	arch/threads.c, classes/Makefile.am, include/ClazzFile.h,
	include/Makefile.am, include/array-class.h, include/arrays.h,
	include/class-repository.h, include/classpath.h,
	include/dynamic_loading.h, include/exceptions.h, include/gc.h,
	include/interp.h, include/log.h, include/native-threads.h,
	include/objects.h, include/op_stack.h, include/qop.h,
	include/resolve.h, include/sig.h, lib/Makefile.am,
	lib/libjni/Makefile.am, lib/libjni/include/Makefile.am,
	lib/libjni/include/jni.h, lib/libjni/include/jniint.h,
	lib/libjni/src/Makefile.am, lib/libjni/src/jniarray.c,
	lib/libjni/src/jniclass.c, lib/libjni/src/jnifield.c,
	lib/libjni/src/jniinvoc.c, lib/libjni/src/jnimeth.c,
	lib/libjni/src/jnimon.c, lib/libjni/src/jninativ.c,
	lib/libjni/src/jniobj.c, lib/libjni/src/jniref.c,
	lib/libjni/src/jnisfld.c, lib/libjni/src/jnismeth.c,
	lib/libjni/src/jnistr.c, lib/libjni/src/jnithrow.c,
	lib/libjni/src/jnivm.c, lib/libjni/src/jnivtbl.c,
	lib/libjvmdi/Makefile.am, lib/libjvmdi/include/Makefile.am,
	lib/libjvmdi/include/jvmdi.h, lib/libjvmdi/include/jvmdiint.h,
	lib/libjvmdi/src/Makefile.am, lib/libjvmdi/src/jvmdi.c,
	lib/libnative/Makefile.am, lib/libnative/java.io/Makefile.am,
	lib/libnative/java.io/common.c, lib/libnative/java.io/fd.c,
	lib/libnative/java.io/file.c, lib/libnative/java.io/filein.c,
	lib/libnative/java.io/fileout.c, lib/libnative/java.io/ioStubs.c,
	lib/libnative/java.io/objstrm.c, lib/libnative/java.io/random.c,
	lib/libnative/java.lang/Makefile.am,
	lib/libnative/java.lang/class.c,
	lib/libnative/java.lang/classloader.c,
	lib/libnative/java.lang/compiler.c,
	lib/libnative/java.lang/double.c, lib/libnative/java.lang/float.c,
	lib/libnative/java.lang/langStubs.c,
	lib/libnative/java.lang/math.c, lib/libnative/java.lang/object.c,
	lib/libnative/java.lang/runtime.c,
	lib/libnative/java.lang/secmgr.c, lib/libnative/java.lang/system.c,
	lib/libnative/java.lang/thread.c,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/java.lang/unixproc.c,
	lib/libnative/java.lang.reflect/Makefile.am,
	lib/libnative/java.lang.reflect/array.c,
	lib/libnative/java.lang.reflect/constructor.c,
	lib/libnative/java.lang.reflect/field.c,
	lib/libnative/java.lang.reflect/method.c,
	lib/libnative/java.lang.reflect/reflectStubs.c,
	lib/libnative/java.net/Makefile.am, lib/libnative/java.net/addr.c,
	lib/libnative/java.net/netStubs.c, lib/libnative/java.net/socket.c,
	lib/libnative/java.net/sockin.c, lib/libnative/java.net/sockout.c,
	lib/libnative/java.util/Makefile.am,
	lib/libnative/java.util/resbundle.c,
	lib/libnative/java.util/utilStubs.c,
	lib/libnative/java.util.zip/Makefile.am,
	lib/libnative/java.util.zip/adler32.c,
	lib/libnative/java.util.zip/crc32.c,
	lib/libnative/java.util.zip/deflater.c,
	lib/libnative/java.util.zip/inflater.c,
	lib/libnative/java.util.zip/zipStubs.c,
	lib/libnative/sun.awt.motif/Makefile.am,
	lib/libnative/sun.awt.motif/awtStubs.c,
	lib/libnative/sun.awt.motif/canvas.c,
	lib/libnative/sun.awt.motif/common.c,
	lib/libnative/sun.awt.motif/common.h,
	lib/libnative/sun.awt.motif/component.c,
	lib/libnative/sun.awt.motif/fontmetrics.c,
	lib/libnative/sun.awt.motif/frame.c,
	lib/libnative/sun.awt.motif/inputthread.c,
	lib/libnative/sun.awt.motif/label.c,
	lib/libnative/sun.awt.motif/menu.c,
	lib/libnative/sun.awt.motif/menubar.c,
	lib/libnative/sun.awt.motif/menuitem.c,
	lib/libnative/sun.awt.motif/toolkit.c,
	lib/libnative/sun.debug.agent/Makefile.am,
	lib/libnative/sun.debug.agent/agent.c,
	lib/libnative/sun.debug.agent/agentStubs.c,
	lib/libnative/sysresource/Makefile.am,
	lib/libnative/sysresource/sysresStubs.c,
	lib/libnative/sysresource/sysresources.c,
	lib/libruntime/Makefile.am, lib/libruntime/abort.c,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/class-repository.c, lib/libruntime/classpath.c,
	lib/libruntime/clparse.c, lib/libruntime/exceptions.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/log.c, lib/libruntime/msgc.c,
	lib/libruntime/nativeglue.c, lib/libruntime/objects.c,
	lib/libruntime/op_stack.c, lib/libruntime/printf.c,
	lib/libruntime/resolve.c, lib/libruntime/sig.c, progs/Makefile.am,
	progs/dump-class/Makefile.am, progs/japhar/Makefile.am,
	progs/japhard/Makefile.am, progs/japharh/Makefile.am,
	props/Makefile.am, scripts/Makefile.am: More mad GPL police, this
	time removing the copyrights/GPL from all the Makefile.am's, switch
	to the LGPL for all library files, and leaving the GPL on all
	scripts and executable source files.  Also, added COPYING.LIB

1998-03-24 10:14  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add blurb about the licensing change and something
	mentioned the testsuite fixes for 0.02

1998-03-24 10:10  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Changed how to test for required underscore.  Now
	used two dlsym instead of nm.

1998-03-23 18:24  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Added link to the home page.

1998-03-23 18:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* AUTHORS: My name is Reinholdtsen, Petter Reinholdtsen.

1998-03-23 17:35  Paul Fisher <rao@gnu.org>

	* README: Removed GVM link, since it no longer exists.	Added
	licensing information to the "other projects".	Added a section
	about GVM and it's relationship to Japhar.

1998-03-23 15:19  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Added link to TYA and KORE.

1998-03-23 08:33  Christoph Toshok <toshok@hungry.com>

	* arch/threads.c: Collapse all the THREAD_get* and THREAD_set*
	functions down, removing all the duplicate code and putting it into
	thread_setKeyValue and thread_getKeyValue

1998-03-23 03:14  Christoph Toshok <toshok@hungry.com>

	* include/interp.h: remove useless prototype

1998-03-23 02:25  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/interploop.c,
	lib/libruntime/interpfunc.c: fill_local_vars_from_stack no longer
	needs two stack frames -- since they don't have their own operand
	stacks anymore.

1998-03-22 11:39  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/: dump-class/Makefile.am, japhar/Makefile.am,
	japharh/Makefile.am: Link with @ZLIB@ to get static linking
	working.

1998-03-22 11:38  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Assert sizeof(jint) >=
	sizeof(HThread).  Will fail on 64bit OS.

1998-03-22 11:37  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Assert sizeof(jint) >=
	sizeof(Widget).  Will fail on 64bit OS.

1998-03-22 10:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in: Don't link with SM and ICE if X/Motif is missing.

1998-03-22 10:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/: monitors.c, threads.c: Added small hack for Linux libc5. 
	Compare threads using pthread_equal(a,b).

1998-03-22 09:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnifield.c: Added some XXX.

1998-03-22 09:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* progs/japharh/: header.c, japharh.c: Added error handling.  Now
	barfs on slashes in object name.

1998-03-22 09:07  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/common.c: Report class missing pData
	in set_component_widget().

1998-03-22 00:28  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libjni/src/jnifield.c: Added some asserts and throw
	exceptions if GetFieldID() fails.

1998-03-21 23:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Throw BindException when bind
	fails, and gives more informative error message.

1998-03-21 17:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/threads.c: Changed how to decide whihc yield to use.

1998-03-21 17:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/config.h.in: Check for yield() on Solaris.

1998-03-21 16:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, include/config.h.in: Check for scandir() and
	alphasort().  Seem to be missing on Solaris.

1998-03-20 13:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/: common.c, frame.c: Added some
	logging and asserts to find out where AWT crashes on Linux.

1998-03-20 13:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/sun.awt.motif/toolkit.c: Call initialize_awt() in
	getScreenWidth() and getScreenHeight() as they apparenly can get
	called before MToolkit_init().

1998-03-20 10:23  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/Makefile.am: Cleanup.

1998-03-20 10:22  Petter Reinholdtsen <pere@td.org.uit.no>

	* configure.in, lib/libnative/sun.awt.motif/Makefile.am: Made sure
	Motif include and libs are found.

1998-03-20 09:35  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/Makefile.am: Now distribution contains
	$(DIST_SUBDIRS)/[*.java *.exp].

1998-03-20 09:18  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/Makefile.am: Added lib/ and config/ to DIST_SUBDIRS. 
	These doesn't seem to be include in distribution.  Changed DEJATOOL
	from type to java.

1998-03-20 09:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/Makefile.am: Corrected subdir list.

1998-03-19 09:14  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/: Makefile.am, java.lang/NullcastTest.java,
	java.sun.tools/JavacTest.java: New default target is empty, and
	'make check' is the way to test japhar.  Corrected/added some
	tests.

1998-03-19 02:35  Christoph Toshok <toshok@hungry.com>

	* progs/japhard/: Makefile.am, cmd_line.c, japhard.c: Get japhard
	compiling again, with the new stack frame stuff -- also add in
	libjvmdi.la

1998-03-19 02:26  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: Split command line parsing into two parts
	(parsing enough to know the name of the java class, and creating
	the actual String[] to pass to main()), so that we don't have to
	initialize the VM only to print out a usage message.

1998-03-19 02:15  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: Little optimization - don't do
	the FindClass unless we need to.

1998-03-18 23:45  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: class.c, system.c: don't call abort()
	directly.  call env->FatalError

1998-03-17 03:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: common.c, filein.c: Use ThrowNew in
	throw_Exception, and when we throw an exception, don't fall through
	to a different return value -- just return an error value
	immediately.

1998-03-17 03:49  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/random.c: Sprinkle java/io/Exceptions
	around, if someone tries to access a closed file descriptor.  Makes
	RandomAccessFileTest work.

1998-03-17 03:21  Christoph Toshok <toshok@hungry.com>

	* testsuite/.cvsignore: Add site.exp to .cvsignore

1998-03-17 03:15  Christoph Toshok <toshok@hungry.com>

	* lib/libjvmdi/: .cvsignore, include/.cvsignore,
	include/Makefile.am, include/jvmdi.h, include/jvmdiint.h,
	src/.cvsignore, src/Makefile.am, src/jvmdi.c, src/.cvsignore: more
	work on the jvmdi stuff.

1998-03-17 01:29  Christoph Toshok <toshok@hungry.com>

	* scripts/: Makefile.am, javakey.in, .cvsignore: Add javakey script

1998-03-16 09:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/: README, java.io/RandomAccessFileTest.java,
	java.io/execute.exp, java.lang/ArrayTest.java,
	java.lang/ExceptionTest.java, java.lang/LongFieldTest.java,
	java.lang/ThreadTest.java, java.lang/execute.exp,
	java.net/DatagramSocketTest.java, java.net/SocketTest.java,
	java.net/URLTest.java, java.net/execute.exp,
	java.sun.tools/ClassPathTest.java, java.sun.tools/JavacTest.java,
	java.sun.tools/execute.exp, java.text/MessageFormatTest.java,
	java.text/execute.exp, java.util/ResourceBundleTest.java,
	java.util/execute.exp: Restructured the test suite to get automake
	more happy.

1998-03-16 07:59  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Typo.

1998-03-16 06:46  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: add more to my nice little comment
	about sun in op_jsr

1998-03-16 06:45  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: change call to calloc.

1998-03-16 06:44  Christoph Toshok <toshok@hungry.com>

	* .cvsignore: add aclocal.m4 to the .cvsignore

1998-03-15 23:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: Disabled setting of local
	address for bind().  Set it to INADDR_ANY instead.

1998-03-15 22:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Log the throw patch at level 3.

1998-03-15 19:52  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/Makefile.am: Disablet automake handling of DejaGNU.  It
	is not working without restructuring the tests.

1998-03-15 18:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/: libjni/src/jniarray.c, libjni/src/jnistr.c,
	libnative/java.net/socket.c, libnative/java.util.zip/deflater.c,
	libnative/java.util.zip/inflater.c, libruntime/arrays.c,
	libruntime/interpfunc.c, libruntime/sig.c: Started on Alpha/Linux
	support.

1998-03-15 02:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interpfunc.c: No need to make calls to
	THREAD_getENV when we can just use ENV(f)

1998-03-15 01:40  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Log who throws exception too.

1998-03-15 01:33  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Added links to other projects.

1998-03-15 01:32  Petter Reinholdtsen <pere@td.org.uit.no>

	* testsuite/Makefile.am: Get the testing running.

1998-03-15 01:08  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.net/netStubs.c: MAPPING's have to have _stub
	at the end.

1998-03-15 01:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: awtStubs.c, common.c, frame.c: Fix
	the MAPPING's for a lot of methods, and make use of GetObjectClass
	instead of FindClass

1998-03-15 01:05  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.io/fd.c, java.util.zip/adler32.c,
	java.util.zip/crc32.c, java.util.zip/deflater.c,
	java.util.zip/inflater.c: It's ok (and much faster) to use the
	GetObjectClass method instead of FindClass, not that the native
	glue casts the object to the right class for the native method
	before calling it.

1998-03-15 01:03  Christoph Toshok <toshok@hungry.com>

	* include/objects.h, lib/libruntime/objects.c: Make
	get_interface_method_info take a Signature* instead of char*

1998-03-15 00:57  Christoph Toshok <toshok@hungry.com>

	* include/ClazzFile.h, lib/libruntime/clparse.c,
	lib/libruntime/interpfunc.c: Make resolved methodref's and
	interfacemethodref's store the Signature* for them, so we don't
	have to parse through the char* every time we want to look them up.
	 Also, track the native return value changes in all the op_*return
	functions.

1998-03-15 00:35  Christoph Toshok <toshok@hungry.com>

	* include/interp.h, lib/libruntime/nativeglue.c,
	lib/libruntime/interploop.c: Several changes:
	
	1.  The return value from a java method to a native method is now
	part	 of the JThreadInfo, instead of taking up space in every
	stack frame.  2.  Synchronized methods are now handled properly --
	the monitor is exited	  when we pop the stack frame corresponding
	to a synchronized method call.	    By putting the MONITOR_exit
	here, we don't have to change the exception	 throwing machinery
	to have it exit monitors when it pops stack frames.  3. 
	get_next_byte as a function is gone, and is always replaced by the
	macro	  in interp.h.	4.  sun_interp_loop goes away.	Now, the
	same interpreter loop (interp_loop, in	   interploop.c) is used
	for all cases.	5.  Removed some debugging spew that isn't really
	necessary from the main     interpreter loop.

1998-03-15 00:27  Christoph Toshok <toshok@hungry.com>

	* include/classpath.h, lib/libruntime/classpath.c: Add another type
	of ClassPathEntry (CP_NONE) to represent entries that aren't .zip
	files, .jar files, or directories.  they are skipped when we search
	for classes.

1998-03-15 00:25  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/array-class.c: Don't need a memset after we calloc
	something.

1998-03-14 23:57  Christoph Toshok <toshok@hungry.com>

	* HACKING: Update the automake version needed for useful hacking to
	1.2f

1998-03-14 01:56  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/file.c: returning anything other than 0 or
	1 from these predicates doesn't seem to work.

1998-03-14 01:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/socket.c: More specific error reporting
	when bind() fails.

1998-03-14 01:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Implemented
	InetAddressImpl.getHostByAddr().  Not sure how it is supposed to
	work, so I stole the logic from kaffe 0.9.2.

1998-03-13 23:51  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/classpath.c: Linux and Solaris don't have struct
	dirent.d_namlen.  Using strlen(d_name).

1998-03-13 21:42  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: Makefile.am, system.c: Track the
	classpath change here as well, so java has the same classpath the
	native code does

1998-03-13 21:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: Makefile.am, classpath.c: don't hardcode one
	.jar file to be appended onto the CLASSPATH.  instead, scandir on
	/usr/local/japhar/share and add each .zip and .jar file that we
	find to the classpath.

1998-03-13 21:36  Christoph Toshok <toshok@hungry.com>

	* include/classpath.h: Add prototype for
	CLASSPATH_getSystemClasspath

1998-03-13 16:41  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.io/random.c: Make sure
	RandomAccessFile.length() fails on bogus file descriptor.

1998-03-13 05:43  Christoph Toshok <toshok@hungry.com>

	* README: Add blurb about running the test suite with 'gmake check'

1998-03-12 18:31  Petter Reinholdtsen <pere@td.org.uit.no>

	* README: Corrected how to write URLs.

1998-03-12 08:47  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/addr.c: Throw UnknownHostException if
	localhost is missing an DNS entry in makeAnyLocalAddress().

1998-03-12 08:13  Petter Reinholdtsen <pere@td.org.uit.no>

	* aclocal.m4: File is generated by aclocal.  Gave me conflict when
	updating, so I remove it.

1998-03-11 12:10  Christoph Toshok <toshok@hungry.com>

	* INSTALL, Makefile.am, NEWS, aclocal.m4, configure.in,
	include/config.h.in, lib/libnative/Makefile.am,
	lib/libnative/java.lang/throwable.c,
	lib/libnative/sun.awt.motif/Makefile.am, progs/japhar/Makefile.am,
	props/Makefile.am, testsuite/Makefile.am: Get ready for 0.01

1998-03-11 10:20  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.net/netStubs.c: Now links in
	PlanDatagramSocketImpl stubs.

1998-03-11 10:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/thread_test.c: typo.

1998-03-11 10:00  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/thread_test.c: Added dummy method LOG_log() to avoid linking
	with libruntime in thread_test.

1998-03-11 09:44  Petter Reinholdtsen <pere@td.org.uit.no>

	* include/interp.h, lib/libnative/java.lang/thread.c: Added status
	variable alive in JThreadInfo to implement Thread.isAlive().

1998-03-11 08:16  Christoph Toshok <toshok@hungry.com>

	* Makefile.am, configure.in: Take the classes.jar file out of the
	dist-making, since it's going in it's own tar file now.  Check to
	see if it's been unpacked in the right place and bomb out early in
	configure if it's not there.  Also, add props/ to the build.

1998-03-11 08:09  Christoph Toshok <toshok@hungry.com>

	* props/: .cvsignore, Makefile.am: add all the properties files
	from JDK 1.1.5

1998-03-11 06:46  Christoph Toshok <toshok@hungry.com>

	* arch/dynamic_loading.c: add mappings for sun.awt.motif.*

1998-03-11 06:06  Christoph Toshok <toshok@hungry.com>

	* configure.in, arch/Makefile.am, lib/libnative/Makefile.am,
	progs/japhar/Makefile.am, progs/japhar/japhar.c: Get the native
	methods compiling (if they have motif/lesstif).  Add the necessary
	stuff to configure.in and the makefiles, as well as a little hack
	in japhar.c for the case where they only have a static libXm.a
	(like me. :)

1998-03-11 04:39  Christoph Toshok <toshok@hungry.com>

	* NEWS: Add note about sun.awt.motif

1998-03-11 04:36  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: #include <array-class.h> and
	<string.h>, and also distill arraycopy down to the bare minimum.

1998-03-11 04:33  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/random.c, include/ClazzFile.h,
	include/array-class.h, include/arrays.h, include/objects.h,
	lib/libruntime/array-class.c, lib/libruntime/arrays.c,
	lib/libruntime/interpfunc.c, lib/libruntime/interploop.c,
	lib/libruntime/msgc.c, lib/libruntime/nativeglue.c,
	lib/libruntime/objects.c: Add another field to our fake array
	classes: the element size in bytes.  Speeds up copying them.
	
	Also, move the #defines for ARRAY_*_INDEX index into array-class.h,
	where they belong.
	
	Lastly, change the way objects are allocated on the heap.  It used
	to be an "object" would look like this:
	
	--   NULL, NULL  /* POST */ --	 ID, SD      /* Instance data and
	static data for subclass */ --	 ID, SD      /* Instance data and
	static data for subclass */ --	 ID, SD      /* Instance data and
	static data for java/lang/Object */ --	 NULL, SD    /* Interface 1
	*/ --	NULL, SD    /* Interface 2 */ --   NULL, NULL  /* POST */
	--
	
	In practice, however, the interfaces were never being consulted,
	and it took a nontrivial amount of time to determine which ones to
	stick in a object.  So, now things just look like:
	
	--   NULL, NULL  /* POST */ --	 ID, SD      /* Instance data and
	static data for subclass */ --	 ID, SD      /* Instance data and
	static data for subclass */ --	 ID, SD      /* Instance data and
	static data for java/lang/Object */ --	 NULL, NULL  /* POST */ --

1998-03-11 04:26  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/abort.c: just raise(SIGBUS) instead of abort()'ing
	here... less chance of something else going wrong.

1998-03-11 04:24  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, canvas.c, common.c,
	component.c, fontmetrics.c, frame.c, inputthread.c, label.c,
	menu.c, menubar.c, menuitem.c, toolkit.c: Oops.  forgot to stick
	menuitem.c in the Makefile.am.	Also, add silly comments at the top
	of each file.

1998-03-11 04:20  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/: jniobj.c, jniarray.c: jniobj.c: stop worrying
	about IS_INTERFACE - it's going away.  jniarray.c: implement all
	the Set*ArrayRegion and Get*ArrayRegion calls.

1998-03-11 00:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: Makefile.am, system.c: If we're going
	to default to looking in CLASSZIP for things, we need to tell the
	java code to do it as well. (by adding it to the java.class.path
	property.)

1998-03-10 21:16  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libnative/java.lang/: Makefile.am, runtime.c: Always include
	internal DLL install path in DLL search path.

1998-03-10 21:05  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Use get_frame_parent() to get parent
	frame in pop_frame().

1998-03-10 21:02  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/exceptions.c: Now logs correct 'catcher' on throw.

1998-03-10 20:56  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/abort.c: print abort() stack trace to stderr, not
	stdout.

1998-03-10 20:55  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/abort.c: Handle new stack frame design in abort().

1998-03-10 20:04  Petter Reinholdtsen <pere@td.org.uit.no>

	* arch/dynamic_loading.c: Keep quiet when libraries are missing
	from some parts of the DLL load path.

1998-03-09 16:24  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Deleting thread local objects after
	native method calls doesn't seem to be causing crashes any more...
	let's allow it.

1998-03-09 16:23  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/clparse.c: Apparently the class_index of a catch
	block can be zero, which doesn't correspond to	any constant (and
	therefore doesn't correspond to any .class file.)  go figure.  I
	just work here.

1998-03-09 16:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/system.c: forgot a break;

1998-03-09 16:22  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sysresource/sysresStubs.c: Add mapping for
	Java_sun_net_www_protocol_systemresource_SystemResourceManager_getE
	ntryFromKey_stub

1998-03-09 16:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.awt.motif/: Makefile.am, canvas.c, common.c,
	common.h, component.c, fontmetrics.c, frame.c, inputthread.c,
	label.c, menu.c, menubar.c, menuitem.c, toolkit.c: Lots of new AWT
	stuff.	It's still not usable yet (although appletviewer does pop
	up windows in my tree :)

1998-03-09 09:07  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/nativeglue.c: Fill in the classname of native
	methods when we're debugging.  This can be *mighty* helpful.

1998-03-09 09:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/: java.lang/classloader.c, sysresource/Makefile.am,
	sysresource/sysresources.c: I don't pretend to understand it, but
	the systemresource: URL handling changed in 1.1.5.  If you return a
	ZIP file, the base is not the actual path -- it's the index into
	some array (or key into a hashtable) of classpath entries.  This
	entry is then past to other routines, where you return the actual
	path... weird.	But, this patch gets javadoc printing its usage
	message and javac back to where it was failing before
	(NullPointerException in usage().

1998-03-09 09:02  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/sun.debug.agent/agent.c: Reindent stuff.

1998-03-09 09:01  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/: langStubs.c, system.c: In 1.1.5,
	setIn0, setOut0, and setErr0 aren't needed.

1998-03-09 09:00  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: Reindent things, and implement
	getSerialVersionUID and hasWriteObject

1998-03-09 08:58  Christoph Toshok <toshok@hungry.com>

	* NEWS, configure.in: Change next version number to 0.01 instead of
	0.001

1998-03-09 08:57  Christoph Toshok <toshok@hungry.com>

	* NEWS: Added blurb about 1.1.5

1998-03-09 08:55  Christoph Toshok <toshok@hungry.com>

	* AUTHORS: put in note about the current authors, as well as past
	authors.

1998-03-08 21:52  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/: nativeglue.c, interploop.c: We can't rely on
	TOPFRAME(thread_info) ever becoming NULL, so we need to check
	against thread_info->stack_highwater instead.

1998-03-07 23:31  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: fix compiler warning.

1998-03-07 23:18  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.lang/class.c: implement
	java.lang.Class.getInterfaces

1998-03-07 23:17  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/objstrm.c: Fill in most of the
	java/io/ObjectStreamClass methods

1998-03-07 22:06  Christoph Toshok <toshok@hungry.com>

	* lib/libnative/java.io/: Makefile.am, ioStubs.c, objstrm.c,
	_stubs/java_io_ObjectStreamClass_stubs.c: Native method stuff for
	java/io/ObjectStreamClass

1998-03-07 21:52  Christoph Toshok <toshok@hungry.com>

	* lib/libjni/src/jniclass.c: correct implementation of
	IsAssignableFrom

1998-03-07 20:02  Christoph Toshok <toshok@hungry.com>

	* lib/: libruntime/interploop.c, libnative/java.lang/thread.c: Add
	sanity check (and throw an exception in the worst case) for frame
	stack allocation

1998-03-07 19:39  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/zextract.c: oops.  I guess I didn't have debugging
	turned on when I added .jar file stuff.

1998-03-07 11:11  Petter Reinholdtsen <pere@td.org.uit.no>

	* lib/libruntime/interploop.c: Changed StackFrame* to
	TOPFRAME(thr_info) in debug print.

1998-03-07 09:34  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/clazz.c: Output class <classname> or interface
	<interfacename> at the top of the file, instead of just <name>

1998-03-07 09:27  Christoph Toshok <toshok@hungry.com>

	* progs/dump-class/: dump-class.c, dump-class.h, html.c, method.c,
	output.c: Add exception spew to the mix.

1998-03-07 08:14  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/msgc.c: If the object is NULL, don't try to mark
	it.

1998-03-07 08:11  Christoph Toshok <toshok@hungry.com>

	* lib/libruntime/interploop.c: Remove initialize_system_class,
	since 1.1.5 doesn't need it (there is no
	System.initializeSystemClass method anymore.)

1998-03-07 07:23  Christoph Toshok <toshok@hungry.com>

	* lib/: libnative/java.lang/_stubs/java_lang_System_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MDialogPeer_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MFramePeer_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MListPeer_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MMenuItemPeer_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MScrollbarPeer_stubs.c
	,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_MTextAreaPeer_stubs.c,
	libnative/sun.awt.motif/_stubs/sun_awt_motif_X11FontMetrics_stubs.c
	, libnative/sun.awt.motif/_stubs/sun_awt_motif_X11Graphics_stubs.c,
	libnative/sun.debug.agent/_stubs/sun_tools_debug_Agent_stubs.c,
	libnative/sysresource/sysresources.c,
	libnative/sysresource/_stubs/sun_net_www_protocol_systemresource_Sy
	stemResourceManager_stubs.c, libjni/src/jniinvoc.c: update to jdk
	1.1.5

1998-03-07 06:16  Christoph Toshok <toshok@hungry.com>

	* progs/japhar/japhar.c: output (fairly bogus) usage message.

1998-03-07 06:16  Christoph Toshok <toshok@hungry.com>

	* README: fix typo

1998-03-07 05:55  Christoph Toshok <toshok@hungry.com>

	* lib/: libnative/java.io/ioStubs.c,
	libnative/java.io/_stubs/java_io_FileDescriptor_stubs.c,
	libnative/java.io/_stubs/java_io_FileInputStream_stubs.c,
	libnative/java.io/_stubs/java_io_FileOutputStream_stubs.c,
	libnative/java.io/_stubs/java_io_File_stubs.c,
	libnative/java.io/_stubs/java_io_RandomAccessFile_stubs.c,
	libnative/java.lang/langStubs.c,
	libnative/java.lang/_stubs/java_lang_ClassLoader_stubs.c,
	libnative/java.lang/_stubs/java_lang_Class_stubs.c,
	libnative/java.lang/_stubs/java_lang_Compiler_stubs.c,
	libnative/java.lang/_stubs/java_lang_Double_stubs.c,
	libnative/java.lang/_stubs/java_lang_Float_stubs.c,
